diff --git a/books/bookheader.tex b/books/bookheader.tex
index 865b863..026549f 100644
--- a/books/bookheader.tex
+++ b/books/bookheader.tex
@@ -1,4 +1,6 @@
 \usepackage{hyperref}
+\hypersetup{colorlinks=true,linkcolor=blue,pdfborderstyle={/S/U/W 1},
+citecolor=red}
 \usepackage{amssymb}
 \usepackage{axiom}
 \usepackage{makeidx}
diff --git a/books/bookvol10.1.pamphlet b/books/bookvol10.1.pamphlet
index e63cdd5..b86e43c 100644
--- a/books/bookvol10.1.pamphlet
+++ b/books/bookvol10.1.pamphlet
@@ -256,8 +256,8 @@ an exception. If it contains a negative part, the implementation will
 crop it to only its non-negative part to allow that computations
 such as $\sqrt{0}$ ca be carried out in exact real arithmetic.
 
+\chapter{Integration \cite{Bro98b}}
 
-\chapter{Integration}
 An {\sl elementary function}
 \index{elementary function}
 of a variable $x$ is a function that can
@@ -267,7 +267,8 @@ numbers or functions. Since $\sqrt{-1}$ is elementary, the
 trigonometric functions and their inverses are also elementary (when
 they are rewritten using complex exponentials and logarithms) as well
 as all the ``usual'' functions of calculus. For example,
-\begin{equation}
+
+\begin{equation}\label{Int1}
 \sin(x+\tan(x^3-\sqrt{x^3-x+1}))
 \end{equation}
 is elementary when rewritten as
@@ -300,7 +301,7 @@ correctness of the algorithms presented here can be found in several
 of the references, and are generally too long and too detailed to be
 described in this tutorial.
 
-{\bf Notations}: we write $x$ for the variable of integration, and '
+{\bf Notations}: we write $x$ for the variable of integration, and $\prime$
 for the derivation $d/dx$. $\mathbb{Z}$,$\mathbb{Q}$,$\mathbb{R}$,and
 $\mathbb{C}$ denote respectively the integers, rational, real and
 complex numbers. All fields are commutative and, except when mentioned
@@ -313,7 +314,7 @@ By a {\sl rational function}, we mean a quotient of polynomials in the
 integration variable $x$. This means that other functions can appear
 in the integrand, provided they do not involve $x$, hence that the
 coefficients of our polynomials in $x$ lie in an arbitrary field $K$
-satisfying: $\forall{a} \in K,\ a^{'}=0$.
+satisfying: $\forall{a} \in K,\ a^{\prime}=0$.
 
 \subsection{The full partial-fraction algorithm}
 This method, which dates back to Newton, Leibniz, and Bernoulli,
@@ -323,8 +324,8 @@ factorization of the denominator of the integrand over the real or
 complex numbers. We outline it because it provides the theoretical
 foundations for all the subsequent algorithms. Let 
 $f \in \mathbb{R}(x)$ be our integrand, and write 
-$f=P+A/D$ where $P, A, D \in \mathbb{R}[x]$, $gcd(A,D)=1$, and
-$deg(A) < deg(D)$. Let
+$f=P+A/D$ where $P, A, D \in \mathbb{R}[x]$, gcd$(A,D)=1$, and
+deg$(A) < $deg$(D)$. Let
 \[
 D=c\prod_{i=1}^n(x-a_i)^{e_i}\prod_{j=1}^m(x^2+b_jx+c_j)^{f_j}
 \]
@@ -344,7 +345,7 @@ $\mathbb{R}$. Hence,
 \]
 Computing $\int{P}$ poses no problem (it will for any other class of
 functions), and for the other terms we have
-\begin{equation}
+\begin{equation}\label{Int2}
 \int{\frac{A_{ik}}{(x-a_i)^k}}=\left\{
 \begin{array}{lc}
 A_{ik}(x-a_i)^{1-k}/(1-k)&{\rm if\ } k > 1\\
@@ -374,8 +375,8 @@ and for $k > 1$,
 This last formula is then used recursively until $k=1$.
 
 An alternative is to factor $D$ linearly over $\mathbb{C}$:
-$D=\prod_{i=1}^q(x-\alpha_i)^{e_i}$, and then use (2) on each term of
-\begin{equation}
+$D=\prod_{i=1}^q(x-\alpha_i)^{e_i}$, and then use \ref{Int2} on each term of
+\begin{equation}\label{Int3}
 f=P+\sum_{i=1}^q\sum_{j=1}^{e_i}\frac{A_{ij}}{(x-\alpha_i)^j}
 \end{equation}
 Note that this alternative is applicable to coefficients in any field
@@ -390,21 +391,21 @@ f=\frac{A_{ie_i}}{(x-\alpha_i)^{e_i}}
 +\frac{A_{i1}}{(x-\alpha_i)}
 +\cdots
 \]
-where the $A_{ij}$'s are the same as those in (3). Thus, this approach
+where the $A_{ij}$'s are the same as those in \ref{Int3}. Thus, this approach
 can be seen as expanding the integrand into series around all the
 poles (including $\infty$), then integrating the series termwise, and
 then interpolating for the answer, by summing all the polar terms,
-obtaining the integral of (3). In addition, this alternative shows
+obtaining the integral of \ref{Int3}. In addition, this alternative shows
 that any rational function $f \in K(x)$ has an elementary integral of
 the form
-\begin{equation}
+\begin{equation}\label{Int4}
 \int{f}=v+c_1\log(u_1)+\cdots+c_m\log(u_m)
 \end{equation}
 where $v,u_1,\ldots,u_m \in \overline{K}(x)$ are the rational
 functions, and $c_1,\ldots,c_m \in \overline{K}$ are constants. The
 original Risch algorithm is essentially a generalization of this
 approach that searches for integrals of arbitrary elementary functions
-in a form similar to (4).
+in a form similar to \ref{Int4}.
 
 \subsection{The Hermite reduction}
 The major computational inconvenience of the full partial fraction
@@ -422,59 +423,64 @@ calculations being done in $K(x)$, and
 express the integral
 \end{itemize}
 The first rational algorithms for integration date back to the
-$19^{{\rm th}}$ century, when both Hermite\cite{Her1872} and
-Ostrogradsky\cite{Ost1845} invented methods for computing the $v$ of (4)
+$19^{{\rm th}}$ century, when both Hermite \cite{Her1872} and
+Ostrogradsky \cite{Ost1845} invented methods for 
+computing the $v$ of \ref{Int4}
 entirely within $K(x)$. We describe here only Hermite's method, since
 it is the one that has been generalized to arbitrary elementary
 functions. The basic idea is that if an irreducible $p \in K[x]$
 appears with multiplicity $k > 1$ in the factorization of the
-denominator of the integrand, then (2) implies that it appears with
+denominator of the integrand, then \ref{Int2} implies that it appears with
 multiplicity $k-1$ in the denominator of the integral. Furthermore, it
 is possible to compute the product of all such irreducibles for each
 $k$ without factoring the denominator into irreducibles by computing
 its {\sl squarefree factorization}, {\sl i.e} a factorization
 $D=D_1D_2^2\cdots D_m^m$, where each $D_i$ is squarefree and 
-$gcd(D_i,D_j)=1$ for $i \ne j$. A straightforward way to compute it is
-as follows: let $R=gcd(D,D^{'})$, then $R=D_2D_2^3\cdots D_m^{m-1}$, so 
-$D/R=D_1D_2\cdots D_m$ and $gcd(R,D/R)=D_2\cdots D_m$, which implies
+gcd$(D_i,D_j)=1$ for $i \ne j$. A straightforward way to compute it is
+as follows: let $R={\rm gcd}(D,D^{\prime})$, 
+then $R=D_2D_2^3\cdots D_m^{m-1}$, so 
+$D/R=D_1D_2\cdots D_m$ and gcd$(R,D/R)=D_2\cdots D_m$, which implies
 finally that
 \[
-D_1=\frac{D/R}{gcd(R,D/R)}
+D_1=\frac{D/R}{{\rm gcd}(R,D/R)}
 \]
 Computing recursively a squarefree factorization of $R$ completes the
 one for $D$. Note that \cite{Yu76} presents a more efficient method for
 this decomposition. Let now $f \in K(x)$ be our integrand, and write
-$f=P+A/D$ where $P,A,D \in K[x]$, $gcd(A,D)=1$, and $deg(A)<deg(D)$. 
+$f=P+A/D$ where $P,A,D \in K[x]$, gcd$(A,D)=1$, and\\
+${\rm deg}(A)<{\rm deg}(D)$. 
 Let $D=D_1D_2^2\cdots D_m^m$ be a squarefree factorization of $D$ and
 suppose that $m \ge 2$ (otherwise $D$ is already squarefree). Let then
-$V=D_m$ and $U=D/V^m$. Since $gcd(UV^{'},V)=1$, we can use the
+$V=D_m$ and $U=D/V^m$. Since gcd$(UV^{\prime},V)=1$, we can use the
 extended Euclidean algorithm to find $B,C \in K[x]$ such that
 \[
-\frac{A}{1-m}=BUV^{'}+CV
+\frac{A}{1-m}=BUV^{\prime}+CV
 \]
-and $deg(B) < deg(V)$. Multiplying both sides by $(1-m)/(UV^m)$ gives
+and ${\rm deg}(B) < {\rm deg}(V)$. 
+Multiplying both sides by $(1-m)/(UV^m)$ gives
 \[
-\frac{A}{UV^m}=\frac{(1-m)BV^{'}}{V^m}+\frac{(1-m)C}{UV^{m-1}}
+\frac{A}{UV^m}=\frac{(1-m)BV^{\prime}}{V^m}+\frac{(1-m)C}{UV^{m-1}}
 \]
-so, adding and subtracting $B^{'}/V^{m-1}$ to the right hand side, we
+so, adding and subtracting $B^{\prime}/V^{m-1}$ to the right hand side, we
 get
 \[
-\frac{A}{UV^m}=\left(\frac{B^{'}}{V^{m-1}}-\frac{(m-1)BV^{'}}{V^m}\right)
-+\frac{(1-m)C-UB^{'}}{UV^{m-1}}
+\frac{A}{UV^m}=\left(\frac{B^{\prime}}{V^{m-1}}-
+\frac{(m-1)BV^{\prime}}{V^m}\right)
++\frac{(1-m)C-UB^{\prime}}{UV^{m-1}}
 \]
 and integrating both sides yields
 \[
-\int\frac{A}{UV^m}=\frac{B}{V^{m-1}}+\int\frac{(1-m)C-UB^{'}}{UV^{m-1}}
+\int\frac{A}{UV^m}=\frac{B}{V^{m-1}}+\int\frac{(1-m)C-UB^{\prime}}{UV^{m-1}}
 \]
 so the integrand is reduced to one with a smaller power of $V$ in the
 denominator. This process is repeated until the denominator is
-squarefree, yielding $g,h \in K(x)$ such that $f=g^{'}+h$ and $h$ has
+squarefree, yielding $g,h \in K(x)$ such that $f=g^{\prime}+h$ and $h$ has
 a squarefree denominator.
 
 \subsection{The Rothstein-Trager and Lazard-Rioboo-Trager algorithms}
 Following the Hermite reduction, we only have to integrate fractions
-of the form $f=A/D$ with $deg(A)<deg(D)$ and $D$ squarefree. It
-follows from (2) that
+of the form $f=A/D$ with ${\rm deg}(A)<{\rm deg}(D)$ and $D$ squarefree. It
+follows from \ref{Int2} that
 \[
 \int{f}=\sum_{i=1}^n a_i\log(x-\alpha_i)
 \]
@@ -483,14 +489,14 @@ $a_i$'s are the residues of $f$ at the $\alpha_i$'s. The problem
 is then to compute those residues without splitting $D$. Rothstein
 \cite{Ro77} and Trager \cite{Tr76} independently proved that the
 $\alpha_i$'s are exactly the zeros of
-\begin{equation}
-R=resultant_x(D,A-tD^{'}) \in K[t]
+\begin{equation}\label{Int5}
+R={\rm resultant}_x(D,A-tD^{\prime}) \in K[t]
 \end{equation}
 and that the splitting field of $R$ over $K$ is indeed the minimal
 algebraic extension of $K$ necessary to express the integral in the
-form (4). The integral is then given by
-\begin{equation}
-\int\frac{A}{D}=\sum_{i=1}^m\sum_{a|R_i(a)=0}a\log(\gcd(D,A-aD^{'}))
+form \ref{Int4}. The integral is then given by
+\begin{equation}\label{Int6}
+\int\frac{A}{D}=\sum_{i=1}^m\sum_{a|R_i(a)=0}a\log(\gcd(D,A-aD^{\prime}))
 \end{equation}
 where $R=\prod_{i=1}^m R_i^{e_i}$ is the irreducible factorization of
 $R$ over $K$. Note that this algorithm requires factoring $R$ into
@@ -498,20 +504,20 @@ irreducibles over $K$, and computing greatest common divisors in
 $(K[t]/(R_i))[x]$, hence computing with algebraic numbers. Trager and
 Lazard \& Rioboo \cite{LR90} independently discovered that those
 computations can be avoided, if one uses the subresultant PRS
-algorithm to compute the resultant of (5): let 
+algorithm to compute the resultant of \ref{Int5}: let 
 $(R_0,R_1,\ldots R_k\ne 0,0,\ldots)$ be the subresultant PRS with
-respect to $x$ of $D$ and $A-tD^{'}$ and $R=Q_1Q_2^2\ldots Q_m^m$ be a 
+respect to $x$ of $D$ and $A-tD^{\prime}$ and $R=Q_1Q_2^2\ldots Q_m^m$ be a 
 {\sl squarefree} factorization of their resultant. Then,
 \[
-\sum_{a|Q_i(a)=0} a\log(\gcd(D,A-aD^{'}))=\hbox{\hskip 5.0cm}
+\sum_{a|Q_i(a)=0} a\log(\gcd(D,A-aD^{\prime}))=\hbox{\hskip 5.0cm}
 \]
 \[
 \left\{
 \begin{array}{ll}
-\sum_{a|Q_i(a)=0} a \log(D) & {\rm if\ }i = deg(D)\\
+\sum_{a|Q_i(a)=0} a \log(D) & {\rm if\ }i = {\rm deg}(D)\\
 \sum_{a|Q_i(a)=0} a \log({\rm pp}_x(R_{k_i})(a,x))&
-{\rm where\ }deg(R_{k_i})=i,1 \le k_i \le n\\
-&{\rm if\ }i < deg(D)
+{\rm where\ }{\rm deg}(R_{k_i})=i,1 \le k_i \le n\\
+&{\rm if\ }i < {\rm deg}(D)
 \end{array}
 \right.
 \]
@@ -553,7 +559,7 @@ $q=y^m+\sum_{i=0}^{m-1} a_ia_m^{m-i-1}y^i$ is monic in $y$,
 so $a_my \in {\bf O}_{K[x]}$. We need a canonical representation
 for algebraic functions similar to quotients of polynomials for
 rational functions. Expressions as quotients of integral functions are
-not unique, for example, $\sqrt{x}/x=x/\sqrt{x}$. Hoever, $E$ is a
+not unique, for example, $\sqrt{x}/x=x/\sqrt{x}$. However, $E$ is a
 finite-dimensional vector space over $K(x)$, so let $n=[E:K(x)]$ and
 $w=(w_1,\ldots,w_n)$ be any basis for $E$ over $K(x)$. By the above
 remark, there are $a_1,\ldots,a_n \in K(x)^{*}$ such that
@@ -583,60 +589,61 @@ to $w$, Let $D=D_1D_2^2\ldots D_m^m$ be a squarefree factorization of
 $D$ and suppose that $m \ge 2$. Let then $V=D_m$ and $U=D/V^m$, and we
 ask whether we can compute 
 $B=\sum_{i=1}^n B_iw_i \in {\bf O}_{K[x]}$ and $h \in E$ such
-that $deg(B_i) < deg(V)$ for each $i$,
-\begin{equation}
+that ${\rm deg}(B_i) < {\rm deg}(V)$ for each $i$,
+\begin{equation}\label{Int7}
 \int\frac{\sum_{i=1}^n A_iw_i}{UV^m}=\frac{B}{V^{m-1}}+\int{h}
 \end{equation}
 and the denominator of $h$ with respect to $w$ has no factor of order
 $m$ or higher. This turns out to reduce to solving the following
 linear system
-\begin{equation}
+\begin{equation}\label{Int8}
 f_1S_1+\ldots+f_nS_n=A_1w_1+\ldots+A_nw_n
 \end{equation}
 for $f_1,\ldots,f_n \in K(x)$, where
-\begin{equation}
-S_i=UV^m\left(\frac{w_i}{V^{m-1}}\right)^{'}\quad{\rm for\ }1\le i\le n
+\begin{equation}\label{Int9}
+S_i=UV^m\left(\frac{w_i}{V^{m-1}}\right)^{\prime}\quad{\rm for\ }1\le i\le n
 \end{equation}
-Indeed, suppose that (8) has a solution $f_1,\ldots,f_n \in K(x)$, and
+Indeed, suppose that \ref{Int8} has a solution $f_1,\ldots,f_n \in K(x)$, and
 write $f_i=T_i/Q$, where $Q,T_1,\ldots,T_n \in K[x]$ and
 $\gcd(Q,T_1,\ldots,T_n)=1$. Suppose further that $\gcd(Q,V)=1$. Then,
 we can use the extended Euclidean algorithm to find $A,R \in K[x]$
 such that $AV+RQ=1$, and Euclidean division to find $Q_i,B_i \in K[x]$
-such that $deg(B_i)<deg(V)$ when $B_i \ne 0$ and $RT_i=VQ_i+B_i$ for
+such that ${\rm deg}(B_i)<{\rm deg}(V)$ when $B_i \ne 0$ 
+and $RT_i=VQ_i+B_i$ for
 each $i$. We then have
 \[
 \begin{array}{lcl}
 h&=&\displaystyle
-f-\left(\frac{\sum_{i=1}^n B_iw_i}{V^{m-1}}\right)^{'}\\
+f-\left(\frac{\sum_{i=1}^n B_iw_i}{V^{m-1}}\right)^{\prime}\\
 &&\\
 &=&\displaystyle
 \frac{\sum_{i=1}^nA_iw_i}{UV^m}
--\frac{\sum_{i=1}^nB_i^{'}w_i}{V^{m-1}}
--\sum_{i=1}^n(RT_i-VQ_i)\left(\frac{w_i}{V^{m-1}}\right)^{'}\\
+-\frac{\sum_{i=1}^nB_i^{\prime}w_i}{V^{m-1}}
+-\sum_{i=1}^n(RT_i-VQ_i)\left(\frac{w_i}{V^{m-1}}\right)^{\prime}\\
 &&\\
 &=&\displaystyle
 \frac{\sum_{i=1}^nA_iw_i}{UV^m}
 -\frac{R\sum_{i=1}^nT_iS_i}{UV^m}
-+V\sum_{i=1}^nQ_i\left(\frac{w_i}{V^{m-1}}\right)^{'}
--\frac{\sum_{i=1}^nB_i^{'}w_i}{V^{m-1}}\\
++V\sum_{i=1}^nQ_i\left(\frac{w_i}{V^{m-1}}\right)^{\prime}
+-\frac{\sum_{i=1}^nB_i^{\prime}w_i}{V^{m-1}}\\
 &&\\
 &=&\displaystyle
 \frac{(1-RQ)\sum_{i=1}^nA_iw_i}{UV^m}
-+\frac{\sum_{i=1}^nQ_iw_i^{'}}{V^{m-2}}
--(m-1)V^{'}\frac{\sum_{i=1}^nQ_iw_i}{V^{m-1}}
--\frac{\sum_{i=1}^nB_i^{'}w_i}{V^{m-1}}\\
++\frac{\sum_{i=1}^nQ_iw_i^{\prime}}{V^{m-2}}
+-(m-1)V^{\prime}\frac{\sum_{i=1}^nQ_iw_i}{V^{m-1}}
+-\frac{\sum_{i=1}^nB_i^{\prime}w_i}{V^{m-1}}\\
 &&\\
 &=&\displaystyle
 \frac{\sum_{i=1}^nAA_iw_i}{UV^{m-1}}
--\frac{\sum_{i=1}^n((m-1)V^{'}Q_i+B_i^{'})w_i}{V^{m-1}}
-+\frac{\sum_{i=1}^nQ_iw_i^{'}}{V^{m-2}}
+-\frac{\sum_{i=1}^n((m-1)V^{\prime}Q_i+B_i^{\prime})w_i}{V^{m-1}}
++\frac{\sum_{i=1}^nQ_iw_i^{\prime}}{V^{m-2}}
 \end{array}
 \]
 Hence, if in addition the denominator of $h$ has no factor of order
 $m$ or higher, then $B=\sum_{i=1}^nB_iw_i \in {\bf O}_{K[x]}$
-and $h$ solve (7) and we have reduced the integrand. Unfortunately, it
+and $h$ solve \ref{Int7} and we have reduced the integrand. Unfortunately, it
 can happen that the denominator of $h$ has a factor of order $m$ or
-higher, or that (8) has no solution in $K(x)$ whose denominator is
+higher, or that \ref{Int8} has no solution in $K(x)$ whose denominator is
 coprime with $V$, as the following example shows.
 
 \noindent
@@ -646,31 +653,34 @@ $w=(1,y,y^2,y^3)$ {\sl over} $K(x)$ {\sl and consider the integrand}
 f=\frac{y^3}{x^2}=\frac{w_4}{x^2}\in E
 \]
 We have $D=x^2$, so $U=1,V=x$ and $m=2$.
-Then, $S_1=x^2(1/x)^{'}=-1$,
+Then, $S_1=x^2(1/x)^{\prime}=-1$,
 \[
 \begin{array}{lcl}
-\displaystyle S_2&=&x^2\left(\frac{y}{x}\right)^{'}\\
+\displaystyle S_2&=&
+\displaystyle x^2\left(\frac{y}{x}\right)^{\prime}\\
 &&\\
-\displaystyle &=&\frac{24(1-x^2)y^3+32x(1-x)y^2-(9x^4+45x^3+209x^2+63x+18)y
+\displaystyle &=&
+\displaystyle \frac{24(1-x^2)y^3+32x(1-x)y^2-(9x^4+45x^3+209x^2+63x+18)y
 -18x(x^3+x^2-x-1)}{27x^4+108x^3+418x^2+108x+27}\\
 &&\\
-\displaystyle S_3&=&x^2\left(\frac{y^2}{x}\right)^{'}\\
+\displaystyle S_3&=&x^2\left(\frac{y^2}{x}\right)^{\prime}\\
 &&\\
 \displaystyle &=&
-\frac{64x(1-x)y^3+9(x^4+2x^3-2x-1)y^2+12x(x^3+x^2-x-1)y+48x^2(1-x^2)}
-{27x^4+108x^3+418x^2+108x+27}\\
+\displaystyle\frac{64x(1-x)y^3+9(x^4+2x^3-2x-1)y^2+12x(x^3+x^2-x-1)y+
+48x^2(1-x^2)}{27x^4+108x^3+418x^2+108x+27}\\
 &&\\
 and&&\\
 &&\\
-\displaystyle S_4&=&x^2\left(\frac{y^3}{x}\right)^{'}\\
+\displaystyle S_4&=&x^2\left(\frac{y^3}{x}\right)^{\prime}\\
 &&\\
-\displaystyle &=&\frac{(27x^4+81x^3+209x^2+27x)y^3+18x(x^3+x^2-x-1)y^2
+\displaystyle &=&
+\displaystyle\frac{(27x^4+81x^3+209x^2+27x)y^3+18x(x^3+x^2-x-1)y^2
 +24x^2(x^2-1)y+96x^3(1-x)}
 {27x^4+108x^3+418x^2+108x+27}
 \end{array}
 \]
-{\sl so (8) becomes}
-\begin{equation}
+so \ref{Int8} becomes
+\begin{equation}\label{Int10}
 M
 \left(
 \begin{array}{c}
@@ -689,7 +699,7 @@ f_4
 \end{array}
 \right)
 \end{equation}
-{\sl where}
+where
 \[
 M=\left(
 \begin{array}{cccc}
@@ -704,29 +714,29 @@ M=\left(
 \end{array}
 \right)
 \]
-and $F=27x^4+108x^3+418x^2+108x+27$. The system (10) admits a unique
+and $F=27x^4+108x^3+418x^2+108x+27$. The system \ref{Int10} admits a unique
 solution $f_1=f_2=0, f_3=-2$ and $f_4=(x+1)/x$, whose denominator is
 not coprime with $V$, so the Hermite reduction is not applicable.
 
 The above problem was first solved by Trager \cite{Tr84}, who proved 
 that if $w$ is an {\sl integral basis, i.e.} its elements generate 
-${\bf O}_{K[x]}$ over $K[x]$, then the system (8) always has a
+${\bf O}_{K[x]}$ over $K[x]$, then the system \ref{Int8} always has a
 unique solution in $K(x)$ when $m > 1$, and that solution always has a
 denominator coprime with V. Furthermore, the denominator of each
-$w_i^{'}$ must be squarefree, implying that the denominator of $h$ is
+$w_i^{\prime}$ must be squarefree, implying that the denominator of $h$ is
 a factor of $FUV^{m-1}$ where $F \in K[x]$ is squarefree and coprime
 with $UV$. He also described an algorithm for computing an integral
 basis, a necessary preprocessing for his Hermite reduction. The main
 problem with that approach is that computing the integral basis,
 whether by the method of \cite{Tr84} or the local alternative \cite{vH94},
 can be in general more expansive than the rest of the reduction
-process. We describe here the lazy Hermite reduction \cite{Bro98}, which
+process. We describe here the lazy Hermite reduction \cite{REF-Bro98}, which
 avoids the precomputation of an integral basis. It is based on the
-observation that if $m > 1$ and (8) does not have a solution allowing
+observation that if $m > 1$ and \ref{Int8} does not have a solution allowing
 us to perform the reduction, then either
 \begin{itemize}
 \item the $S_i$'s are linearly dependent over $K(x)$, or
-\item (8) has a unique solution in $K(x)$ whose denominator has a
+\item \ref{Int8} has a unique solution in $K(x)$ whose denominator has a
 nontrivial common factor with $V$, or
 \item the denominator of some $w_i$ is not squarefree
 \end{itemize}
@@ -735,8 +745,8 @@ also made up of integral elements, so that that $K[x]$-module
 generated by the new basis strictly contains the one generated by $w$:
 
 \noindent
-{\bf Theorem 1 (\cite{Bro98})} {\sl Suppose that $m \ge 2$ and that 
-$\{S_1,\ldots,S_n\}$ as given by (9) are linearly dependent over $K(x)$,
+{\bf Theorem 1 (\cite{REF-Bro98})} {\sl Suppose that $m \ge 2$ and that 
+$\{S_1,\ldots,S_n\}$ as given by \ref{Int9} are linearly dependent over $K(x)$,
 and let $T_1,\ldots,T_n \in K[x]$ be not all 0 and such that
 $\sum_{i=1}^n T_iS_i=0$. Then,
 \[
@@ -746,8 +756,8 @@ Furthermore, if $\gcd(T_1,\ldots,T_n)=1$ then
 $w_0 \notin K[x]w_1+\cdots+K[x]w_n$.}
 
 \noindent
-{\bf Theorem 2 (\cite{Bro98})} {\sl Suppose that $m \ge 2$ and that
-$\{S_1,\ldots,S_n\}$ as given by (9) are linearly independent over
+{\bf Theorem 2 (\cite{REF-Bro98})} {\sl Suppose that $m \ge 2$ and that
+$\{S_1,\ldots,S_n\}$ as given by \ref{Int9} are linearly independent over
 $K(x)$, and let $Q,T_1,\ldots,T_n \in K[x]$ be such that
 \[
 \sum_{i=1}^n A_iw_i = \frac{1}{Q}\sum_{i=1}^n T_iS_i
@@ -761,15 +771,15 @@ Furthermore,
 if $\gcd(Q,T_1,\ldots,T_n)=1$ and $\deg(\gcd(V,Q)) \ge 1$, then
 $w_0 \notin K[x]w_1+\cdots+K[x]w_n$.}
 
-{\bf Theorem 3 (\cite{Bro98})} {\sl Suppose that the denominator $F$ of
+{\bf Theorem 3 (\cite{REF-Bro98})} {\sl Suppose that the denominator $F$ of
 some $w_i$ is not squarefree, and let $F=F_1F_2^2\cdots F_k^k$ be its
 squarefree factorization. Then,}
 \[
-w_0=F_1\cdots F_kw_i^{'} \in {\bf O}_{K[x]} \backslash
+w_0=F_1\cdots F_kw_i^{\prime} \in {\bf O}_{K[x]} \backslash
 (K[x]w_1+\cdots+K[x]w_n).
 \]
 
-The lazy Hermite reduction proceeds by solving the system (8) in
+The lazy Hermite reduction proceeds by solving the system \ref{Int8} in
 $K(x)$. Either the reduction will succeed, or one of the above
 theorems produces an element
 $w_0 \in {\bf O}_{K[x]} \backslash (K[x]w_1+\cdots+K[x]w_n).$ Let then
@@ -845,7 +855,7 @@ x& & & \\
 \right)
 \]
 so the new basis is $\overline{w}=(1,y,y^2,y^3/x)$, and the
-denominator of $f$ with respect to $\overline{w}$ is 1, which is
+denominator of $f$ with respect to $\overline{w}$ is $x$, which is
 squarefree. 
 
 \subsection{Simple radical extensions}
@@ -863,31 +873,31 @@ z^n=\left(y\frac{D}{F}\right)^n=\frac{y^nD^n}{F^n}=\frac{AD^{n-1}}{F}
 Since $r_i < n$ for each $i$, the squarefree factorization of $H$ is
 of the form $H=H_1H_2^2\cdots H_m^m$ with $m<n$. An integral basis is
 then $w=(w_1,\ldots,w_n)$ where
-\begin{equation}
+\begin{equation}\label{Int11}
 w_i=\frac{z^{i-1}}{\prod_{j=1}^m H_j^{\lfloor(i-1)j/n\rfloor}}\quad
 1 \le i \le n
 \end{equation}
-and the Hermite reductions with respect to the above basis is always 
+and the Hermite reduction with respect to the above basis is always 
 guaranteed to succeed. Furthermore, when using that basis, the system
-(8) becomes diagonal and its solution can be written explicitly:
+\ref{Int8} becomes diagonal and its solution can be written explicitly:
 writing $D_i=\prod_{j=1}^m H_j^{\lfloor ij/n\rfloor}$ we have
 \[
 \begin{array}{ccl}
-S_i & = &\displaystyle UV^m\left(\frac{w_i}{V^{m-1}}\right)^{'}
-=UV^m\left(\frac{z^{i-1}}{D_{i-1}V^{m-1}}\right)^{'}\\
+S_i & = &\displaystyle UV^m\left(\frac{w_i}{V^{m-1}}\right)^{\prime}
+=UV^m\left(\frac{z^{i-1}}{D_{i-1}V^{m-1}}\right)^{\prime}\\
 &&\\
-&=&\displaystyle UV^m\left(\frac{i-1}{n}\frac{H^{'}}{H}-
-\frac{{D_{i-1}}^{'}}{D_{i-1}}
--(m-1)\frac{V^{'}}{V}\right)\left(\frac{z^{i-1}}{D_{i-1}V^{m-1}}\right)\\
+&=&\displaystyle UV^m\left(\frac{i-1}{n}\frac{H^{\prime}}{H}-
+\frac{{D_{i-1}}^{\prime}}{D_{i-1}}
+-(m-1)\frac{V^{\prime}}{V}\right)\left(\frac{z^{i-1}}{D_{i-1}V^{m-1}}\right)\\
 &&\\
-&=&\displaystyle U\left(V\left(\frac{i-1}{n}\frac{H^{'}}{H}
--\frac{{D_{i-1}}^{'}}{D_{i-1}}\right)-(m-1)V^{'}\right)w_i
+&=&\displaystyle U\left(V\left(\frac{i-1}{n}\frac{H^{\prime}}{H}
+-\frac{{D_{i-1}}^{\prime}}{D_{i-1}}\right)-(m-1)V^{\prime}\right)w_i
 \end{array}
 \]
-so the unique solution of (8) in $K(x)$ is
-\begin{equation}
-f_i=\frac{A_i}{U\left(V\left(\frac{i-1}{n}\frac{H^{'}}{H}-
-\frac{{D_{i-1}}^{'}}{D_{i-1}}\right)-(m-1)V^{'}\right)}
+so the unique solution of \ref{Int8} in $K(x)$ is
+\begin{equation}\label{Int12}
+f_i=\frac{A_i}{U\left(V\left(\frac{i-1}{n}\frac{H^{\prime}}{H}-
+\frac{{D_{i-1}}^{\prime}}{D_{i-1}}\right)-(m-1)V^{\prime}\right)}
 \quad{\rm for\ }1 \le i \le n
 \end{equation}
 and it can be shown that the denominator of each $f_i$ is coprime with 
@@ -904,9 +914,9 @@ f=\frac{(2x^8+1)y}{x^{17}+2x^9+x} \in E
 =\mathbb{Q}(x)[y]/(y^2-x^8-1)
 \]
 so $H=x^8+1$ which is squarefree, implying that the integral basis
-(11) is $(w_1,w_2)=(1,y)$. The squarefree factorization of
+\ref{Int11} is $(w_1,w_2)=(1,y)$. The squarefree factorization of
 $x^{17}+2x^9+x$ is $x(x^8+1)^2$ so $U=x$, $V=x^8+1$, $m=2$, and the
-solution (12) of (8) is
+solution \ref{Int12} of \ref{Int8} is
 \[
 f_1=0,\quad
 f_2=\frac{2x^8+1}{x\left((x^8+1)\frac{1}{2}\frac{8x^7}{x^8+1}
@@ -915,10 +925,10 @@ f_2=\frac{2x^8+1}{x\left((x^8+1)\frac{1}{2}\frac{8x^7}{x^8+1}
 We have $Q=x^8$, so $V-Q=1$, $A=1$, $R=-1$ and $RQf_2=V/2-1/4$,
 implying that
 \[
-B=-\frac{y}{4}\quad {\rm and}\quad h=f-\left(\frac{B}{V}\right)^{'}
+B=-\frac{y}{4}\quad {\rm and}\quad h=f-\left(\frac{B}{V}\right)^{\prime}
 =\frac{y}{x(x^8+1)}
 \]
-solve (7), i.e.
+solve \ref{Int7}, i.e.
 \[
 \int\frac{(2x^8+1)\sqrt{(x^8+1)}}{x^{17}+2x^9+x}~dx=
 -\frac{\sqrt{x^8+1}}{4(x^8+1)}
@@ -946,14 +956,14 @@ Let $E$ be an algebraic extension of the rational function field
 $K(x)$, and $f \in E$. If $f$ has an elementary integral, then there
 exist $v \in E$, constants $c_1,\ldots,c_n \in \overline{K}$ and
 $u_1,\ldots,u_k \in E(c_1,\ldots,c_k)^{*}$ such that}
-\begin{equation}
-f=v^{'}+c_1\frac{u_1^{'}}{u_1}+\cdots+c_k\frac{u_k^{'}}{u_k}
+\begin{equation}\label{Int13}
+f=v^{\prime}+c_1\frac{u_1^{\prime}}{u_1}+\cdots+c_k\frac{u_k^{\prime}}{u_k}
 \end{equation}
 The above is a restriction to algebraic functions of the strong
 Liouville Theorem, whose proof can be found in \cite{Bro97,Ris69b}. An elegant
 and elementary algebraic proof of a slightly weaker version can be
 found in \cite{Ro72}. As a consequence, we can look for an integral of
-the form (4), Liouville's Theorem guaranteeing that there is no
+the form \ref{Int4}, Liouville's Theorem guaranteeing that there is no
 elementary integral if we cannot find one in that form. Note that the
 above theorem does not say that every integral must have the above
 form, and in fact that form is not always the most convenient one, for
@@ -968,20 +978,21 @@ Following the Hermite reduction, we can assume that we have a basis
 $w=(w_1,\ldots,w_n)$ of $E$ over $K(x)$ made of integral elements such
 that our integrand is of the form $f=\sum_{i=1}^n A_iw_i/D$ where 
 $D \in K[x]$ is squarefree. Given Liouville's Theorem, we now have to
-solve equation (13) for $v$, $u_1,\ldots,u_k$ and the constants 
+solve equation \ref{Int13} for $v$, $u_1,\ldots,u_k$ and the constants 
 $c_1,\ldots,c_k$. Since $D$ is squarefree, it can be shown that 
 $v \in {\bf O}_{K[x]}$ for any solution, and in fact $v$
 corresponds to the polynomial part of the integral of rational
 functions. It is however more difficult to compute than the integral
 of polynomials, so Trager \cite{Tr84} gave a change of variable that
-guarantees that either $v^{'}=0$ or $f$ has no elementary integral. In
+guarantees that either $v^{\prime}=0$ or $f$ has no elementary integral. In
 order to describe it, we need to define the analogue for algebraic
 functions of having a nontrivial polynomial part: we say that 
 $\alpha \in E$ is {\sl integral at infinity} if there is a polynomial
 $p=\sum_{i=1}^m a_iy^i \in K[x][y]$ such that $p(x,\alpha)=0$ and
-$deg(a_m) \ge deg(a_i)$ for each $i$. Note that a rational function
+${\rm deg}(a_m) \ge {\rm deg}(a_i)$ for each $i$. Note that a rational function
 $A/D \in K(x)$ is integral at infinity if and only if 
-$deg(A) \le deg(D)$ since it is a zero of $Dy-A$. When $\alpha-E$ is
+${\rm deg}(A) \le {\rm deg}(D)$ 
+since it is a zero of $Dy-A$. When $\alpha-E$ is
 not integral at infinity, we say that it has a {\sl pole at
 infinity}. Let
 \[
@@ -992,8 +1003,9 @@ A set $(b_1,\ldots,b_n) \in E^n$ is called {\sl normal at infinity} if
 there are $r_1,\ldots,r_n \in K(x)$ such that every 
 $\alpha \in {\bf O}_\infty$ can be written as
 $\alpha = \sum_{i=1}^n B_ir_ib_i/C$ where $C,B_1,\ldots,B_n \in K[x]$
-and $deg(C) \ge deg(B_i)$ for each $i$. We say that the differential
-$\alpha ~dx$ is integral at infinity if 
+and ${\rm deg}(C) \ge {\rm deg}(B_i)$ for each $i$. 
+We say that the differential
+$\alpha{}dx$ is integral at infinity if 
 $\alpha x^{1+1/r} \in {\bf O}_\infty$ where $r$ is the smallest
 ramification index at infinity. Trager \cite{Tr84} described an
 algorithm that converts an arbitrary integral basis $w_1,\ldots,w_n$
@@ -1017,12 +1029,12 @@ $\int{h~dz}$ are not elementary functions
 constants $c_1,\ldots,c_k \in \overline{K}$ and 
 $u_1,\ldots,u_k \in E(c_1,\ldots,c_k)^{*}$ such that
 \end{enumerate}
-\begin{equation}
+\begin{equation}\label{Int14}
 h=\frac{c_1}{u_1}\frac{du_1}{dz}+\cdots+\frac{c_k}{u_k}\frac{du_k}{dz}
 \end{equation}
 The condition that $N$ is not a zero of the denominator of $f$ with
-respect to $b$ implies that the $f~dz$ is integral at infinity after
-the change of variable, and Trager proved that if $h~dz$ is not
+respect to $b$ implies that the $fdz$ is integral at infinity after
+the change of variable, and Trager proved that if $hdz$ is not
 integral at infinity after the Hermite reduction, then $\int{h~dz}$
 and $\int{f~dz}$ are not elementary functions. The condition that $N$
 is not a zero of the discriminant of $E$ over $K(x)$ implies that the
@@ -1033,7 +1045,7 @@ disregarded, in which case we must replace $hz^2$ in step 5 by
 $hz^{1+1/r}$ where $r$ is the smallest ramification index at
 infinity. Note that $hz^2 \in {\bf O}_\infty$ implies that 
 $hz^{1+1/r} \in {\bf O}_\infty$, but not conversely. Finally, we
-remark that for simple radical extensions, the integral basis (11) is
+remark that for simple radical extensions, the integral basis \ref{Int11} is
 already normal at infinity.
 
 Alternatively, we can use lazy Hermite reduction in the above
@@ -1047,7 +1059,7 @@ without computing an integral basis.
 
 \subsection{The logarithmic part}
 Following the previous sections, we are left with solving equation
-(14) for the constants $c_1,\ldots,c_k$ and for $u_1,\ldots,u_k$. We
+\ref{Int14} for the constants $c_1,\ldots,c_k$ and for $u_1,\ldots,u_k$. We
 must make at this point the following additional assumptions:
 \begin{itemize}
 \item we have an integral primitive element for $E$ over $K(z)$, {\sl
@@ -1076,12 +1088,12 @@ largest $k \in \mathbb{Z}$ such that $f \in p^kP$. Given
 $f \in E^{*}$, the {\sl divisor of} $f$ is $(f) = \sum{\nu_P(f)P}$
 where the sum is taken over all the places. It has finite support
 since $\nu_P(f) \ne 0$ if and only if $P$ is a pole or zero of
-$f$. Finally, we way that a divisor $\delta = \sum{n_PP}$ is
+$f$. Finally, we say that a divisor $\delta = \sum{n_PP}$ is
 {\sl principal} if $\delta=(f)$ for some $f \in E^{*}$. Note that if 
 $\delta$ is principal, the $\sum{n_P}=0$, but the converse is not
 generally true, except if $E=K(z)$. Trager's algorithm proceeds
 essentially by constructing candidate divisors for the $u_i$'s of
-(14): 
+\ref{Int14}: 
 \begin{itemize}
 \item Let $\sum_{i=1}^n A_iw_i$ be the numerator of $h$ with respect
 to $w$, and $D$ be its (squarefree) denominator
@@ -1119,7 +1131,7 @@ elementary, with the smallest possible number of logarithms. Steps 3
 to 6 requires computing in the splitting field $K_0$ of $R$ over $K$,
 but it can be proven that, as in the case of rational functions, $K_0$
 is the minimal algebraic extension of $K$ necessary to express the
-integral in the form (4). Trager \cite{Tr84} describes a representation
+integral in the form \ref{Int4}. Trager \cite{Tr84} describes a representation
 of divisors as fractional ideals and gives algorithms for the
 arithmetic of divisors and for testing whether a given divisor is
 principal. In order to determine whether there exists an integer $N$
@@ -1164,7 +1176,7 @@ $3\delta_1$ are not principal, but that
 \[
 4\delta_1=\left(\frac{x^4}{1+y}\right)\quad{\rm\ and\ }\quad
 \frac{w_2}{x(x^8+1)}
--\frac{1}{4}\frac{(x^4/(1+y))^{'}}{x^4/(1+y)}=0
+-\frac{1}{4}\frac{(x^4/(1+y))^{\prime}}{x^4/(1+y)}=0
 \]
 which implies that
 \[
@@ -1215,7 +1227,7 @@ $\delta_1$ of step 5 is $\delta_1=P-Q$. It turns out that $\delta_1$
 and $2\delta_1$ are not principal, but that
 \[
 3\delta_1=\left(\frac{y-1}{y+1}\right)\quad{\rm and}\quad
-\frac{y}{x-x^4}-\frac{1}{3}\frac{((y-1)/(y+1))^{'}}{(y-1)/(y+1)}=0
+\frac{y}{x-x^4}-\frac{1}{3}\frac{((y-1)/(y+1))^{\prime}}{(y-1)/(y+1)}=0
 \]
 which implies that
 \[
@@ -1231,19 +1243,20 @@ function. For that purpose, we need to formally define differential
 fields and elementary functions.
 
 \subsection{Differential algebra}
-A {\sl differential field} $(K,')$ is a {\sl differential extension} 
-of $(K,')$ with a given map $a \rightarrow a'$ from $K$ into $K$,
-satisfying $(a+b)'=a'+b'$ and $(ab)'=a'b+ab'$. Such a map is called a
-{\sl derivation} on $K$. An element $a \in K$ which satisfies $a'=0$
-is called a {\sl constant}, and the set 
-Const($K$)$=\{a \in K {\rm\ such\ that\ }a'=0\}$ of all the constants
-of $K$ is a subfield of $K$.
+A {\sl differential field} $(K,')$ is a field $K$ with a given map
+$a \rightarrow a^{\prime}$ from $K$ into $K$, satisfying
+$(a+b)^{\prime}=a^{\prime}+b^{\prime}$ and 
+$(ab)^{\prime}=a^{\prime}b+ab^{\prime}$. Such a map is called a
+{\sl derivation} on $K$. An element $a \in K$ which satisfies 
+$a^{\prime}=0$ is called a {\sl constant}, and the set 
+Const($K$)=$\{a \in K {\rm\ such\ that\ }a^{\prime}=0\}$ of all the
+constants of $K$ is called a subfield of $K$.
 
 A differential field $(E,')$ is a {\sl differential equation} of
 $(K,')$ if $K \subseteq E$ and the derivation on $E$ extends the one
 on $K$. In that case, an element $t \in E$ is a {\sl monomial} over
 $K$ if $t$ is transcendental over $K$ and $t' \in K[t]$, which implies
-that both $K[t]$ and $K(t)$ are closed under '. An element $t \in E$
+that both $K[t]$ and $K(t)$ are closed under $^{\prime}$. An element $t \in E$
 is {\sl elementary over} $K$ if either
 \begin{itemize}
 \item $t'=b'/b$ for some $b \in K^{*}$, in which case we say that $t$
@@ -1287,7 +1300,7 @@ the algorithms of the previous section can be generalized to such
 towers, new methods being required only for the polynomial (or
 integral) part. We note that Liouville's Theorem remains valid when
 $E$ is an arbitrary differential field, so the integration algorithms
-work by attempting to solve equation (13) as previously.
+work by attempting to solve equation \ref{Int13} as previously.
 
 \noindent
 {\bf Example 7} {\sl
@@ -1370,18 +1383,19 @@ f=\frac{t^2+2xt+x^2+(x+1)y}{xt^2+2x^2t+x^3} \in E
 where $K=\mathbb{Q}(x)$ and $t=log(x)$. The denominator of $f$ with
 respect to the basis $w=(1,y)$ is $D=xt^2+2x^2t+x^3$ whose squarefree
 factorization is $x(t+x)^2$. Both $x$ and $t+x$ are normal, so $m=2$,
-$V=t+x$, $U=D/V^2=x$, and the solution (12) of (8) is
+$V=t+x$, $U=D/V^2=x$, and the solution \ref{Int12} of \ref{Int8} is
 \[
 f_1=\frac{t^2+2xt+x^2}{x(-(t'+1))}
 =-\frac{t^2+2xt+x^2}{x+1},
 \]
 \[
-f_2=\frac{x+1}{x\left((t+x)\frac{1}{2}\frac{t^{'}+1}{t+z}-(t'+1)\right)}=-2
+f_2=\frac{x+1}{x\left((t+x)\frac{1}{2}\frac{t^{\prime}+1}{t+z}-
+(t'+1)\right)}=-2
 \]
 We have $Q=1$, so $0V+1Q=1$, $A=0$, $R=1$, $RQf_1=f_1=-V^2/(x+1)$ and
 $RQf_2=f_2=0V-2$, so $B=-2y$ and
 \[
-h=f-\left(\frac{B}{V}\right)^{'}=\frac{1}{x}
+h=f-\left(\frac{B}{V}\right)^{\prime}=\frac{1}{x}
 \]
 implying that
 \[
@@ -1393,38 +1407,38 @@ and the remaining integrand has a squarefree denominator.}
 
 \subsection{The polynomial reduction}
 In the transcendental case $E=K(t)$ and when $t$ is a monomial
-satisfying $deg_t(t') \ge 2$, then it is possible to reduce the
+satisfying ${\rm deg}_t(t') \ge 2$, then it is possible to reduce the
 degree of the polynomial part of the integrand until it is smaller
-than $deg_t(t')$. In the case when $t=\tan(b)$ for some $b \in K$, then
+than ${\rm deg}_t(t')$. In the case when $t=\tan(b)$ for some $b \in K$, then
 it is possible either to prove that the integral is not elementary, or
 to reduce the polynomial part of the integrand to be in $K$. Let 
 $f \in K(t)$ be our integrand and write $f=P+A/D$, where
-$P,A,D \in K[t]$ and $deg(A) < deg(D)$. Write 
+$P,A,D \in K[t]$ and ${\rm deg}(A) < {\rm deg}(D)$. Write 
 $P=\sum_{i=1}^e p_it^i$ and $t'=\sum_{i=0}^d c_it^i$ where
 $p_0,\ldots,p_e,c_0,\ldots,c_d \in K$, $d \ge 2$, $p_e\ne 0$ and 
 $c_d\ne 0$. It is easy to verify that if $e \ge d$, then
-\begin{equation}
-P=\left(\frac{a_e}{(e-d+1)c_d}t^{e-d_1}\right)^{'}+\overline{P}
+\begin{equation}\label{Int15}
+P=\left(\frac{a_e}{(e-d+1)c_d}t^{e-d+1}\right)^{\prime}+\overline{P}
 \end{equation}
 where $\overline{P} \in K[t]$ is such that $\overline{P}=0$ or 
-$deg_t(\overline{P}) < e$. Repeating the above transformation we
-obtain $Q,R \in K[t]$ such that $R=0$ or $deg_t(R) < d$ and $P=Q'+R$. 
+${\rm deg}_t(\overline{P}) < e$. Repeating the above transformation we
+obtain $Q,R \in K[t]$ such that $R=0$ or ${\rm deg}_t(R) < d$ and $P=Q'+R$. 
 Write then $R=\sum_{i=0}^{d-1} r_it^i$ where
 $r_0,\ldots,r_{d-1} \in K$. Again, it is easy to verify that for any
-special $S \in K[t]$ with $deg_t(S) > 0$, we have
+{\sl special} $S \in K[t]$ with ${\rm deg}_t(S) > 0$, we have
 \[
-R=\frac{1}{deg_t(S)}\frac{r_{d-1}}{c_d}\frac{S'}{S}+\overline{R}
+R=\frac{1}{{\rm deg}_t(S)}\frac{r_{d-1}}{c_d}\frac{S'}{S}+\overline{R}
 \]
 where $\overline{R} \in K[t]$ is such that $\overline{R}=0$ or
-$deg_t(\overline{R}) < e-1$. Furthermore, it can be proven \cite{Bro97}
+${\rm deg}_t(\overline{R}) < e-1$. Furthermore, it can be proven \cite{Bro97}
 that if $R+A/D$ has an elementary integral over $K(t)$, then 
 $r_{d-1}/{c_d}$ is a constant, which implies that
 \[
-\int{R}=\frac{1}{deg_t(S)}\frac{r_{d-1}}{c_d}\log(S)
+\int{R}=\frac{1}{{\rm deg}_t(S)}\frac{r_{d-1}}{c_d}\log(S)
 +\int\left(\overline{R}+\frac{A}{D}\right)
 \]
 so we are left with an integrand whose polynomial part has degree at
-most $deg_t(t')-2$. In this case $t=\tan(b)$ for $b \in K$, then
+most ${\rm deg}_t(t')-2$. In this case $t=\tan(b)$ for $b \in K$, then
 $t'=b't^2+b'$, so $\overline{R} \in K$.
 
 {\bf Example 10} {\sl
@@ -1437,7 +1451,7 @@ The integrand is
 f=1+xt+t^2 \in K(t)\quad{\rm where\ }K=\mathbb{Q}(x)
 {\rm\ and\ }t'=t^2+1
 \]
-Using (15), we get $\overline{P}=f-t'=f-(t^2+1)=xt$ so
+Using \ref{Int15}, we get $\overline{P}=f-t'=f-(t^2+1)=xt$ so
 \[
 \int(1+x\tan(x)+\tan(x)^2)~dx=\tan(x)+\int{x\tan(x)}~dx
 \]
@@ -1449,10 +1463,10 @@ Similarly to the Hermite reduction, the Rothstein-Trager and
 Lazard-Rioboo-Trager algorithms are easy to generalize to the
 transcendental case $E=K(t)$ for arbitrary monomials $t$: let 
 $f\in K(t)$ be our integrand and write $f=P+A/D+B/S$ where
-$P,A,D,B,S \in K[t]$, $deg(A) < deg(D)$, $S$ is special and, following
+$P,A,D,B,S \in K[t]$, ${\rm deg}(A) < {\rm deg}(D)$, $S$ is special and, following
 the Hermite reduction, $D$ is normal. Let then $z$ be a new
 indeterminate, $\kappa : K[z] \rightarrow K[z]$ be give by 
-$\kappa(\sum_i a_iz^i)=\sum_i a_i^{'}z^i$,
+$\kappa(\sum_i a_iz^i)=\sum_i a_i^{\prime}z^i$,
 \[
 R={\rm resultant_t}(D,A-zD') \in K[z]
 \]
@@ -1471,14 +1485,14 @@ case. It can then be proven \cite{Bro97} that
 \item $f-g'$ is always ``simpler'' than $f$
 \item the splitting field of $Q_1\cdots Q_k$ over $K$ is the minimal
 algebraic extension of $K$ needed in order to express $\int f$ in the
-form (4)
+form \ref{Int4}
 \item if $f$ has an elementary integral over $K(t)$, then 
 $R | \kappa(R)$ in $K[z]$ and the denominator of $f-q'$ is special
 \end{itemize}
 Thus, while in the pure rational function case the remaining integrand
 is a polynomial, in this case the remaining integrand has a special
 denominator. In that case we have additionally that if its integral is
-elementary, then (13) has a solution such that $v\in K(t)$ has a
+elementary, then \ref{Int13} has a solution such that $v\in K(t)$ has a
 special denominator, and each $u_i \in K(c_1,\ldots,c_k)[t]$ is
 special.
 
@@ -1525,11 +1539,11 @@ Computing $f-g'$ we find
 =\frac{1}{2}\log\left(\frac{\log(x)+x}{\log(x)-x}\right)
 +\int{\frac{dx}{\log(x)}}
 \]
-and since $deg_z(Q_1) < deg_z(R)$, it follows that the remaining
+and since ${\rm deg}_z(Q_1) < {\rm deg}_z(R)$, it follows that the remaining
 integral is not an elementary function (it is in fact the logarithmic
 integral $Li(x)$).}
 
-In the most general case, when $E=K(t)(j)$ is algebraic over $K(t)$ and
+In the most general case, when $E=K(t)(y)$ is algebraic over $K(t)$ and
 $y$ is integral over $K[t]$, the criterion part of the above result
 remains valid: let $w=(w_1,\ldots,w_n)$ be an integral basis for $E$
 over $K(t)$ and write the integrand $f \in E$ as 
@@ -1538,22 +1552,22 @@ and, following the Hermite reduction, $D$ is normal. Write
 $\sum_{i=1}^n A_iw_i=G/H$, where $G \in K[t,y]$ and $H \in K[t]$, let
 $F \in K[t,y]$ be the (monic) minimum polynomial for $y$ over $K(t)$,
 $z$ be a new indeterminante and compute
-\begin{equation}
+\begin{equation}\label{Int16}
 R(z)={\rm resultant_t}({\rm pp_z}({\rm resultant_y}(G-tHD',F)),D) \in K[t]
 \end{equation}
-It can then be proven \cite{Bro90} that if $f$ has an elementary integral
+It can then be proven \cite{Bro90c} that if $f$ has an elementary integral
 over $E$, then $R|\kappa(R)$ in $K[z]$.
 
 {\bf Example 12} {\sl
 Consider
-\begin{equation}
+\begin{equation}\label{Int17}
 \int{\frac{\log(1+e^x)^{(1/3)}}{1+\log(1+e^x)}}~dx
 \end{equation}
 The integrand is
 \[
 f=\frac{y}{t+1} \in E = K(t)[y]/(y^3-t)
 \]
-where $K=\mathbb{Q}(x)(t_1)$,$t_1=e^x$ and $t=\log(1+t_1)$. Its
+where $K=\mathbb{Q}(x)(t_1)$, $t_1=e^x$ and $t=\log(1+t_1)$. Its
 denominator with respect to the integral basis $w=(1,y,y^2)$ is
 $D=t+1$, which is normal, and the resultant is
 \[
@@ -1564,7 +1578,7 @@ We have
 \[
 \kappa(R)=-\frac{3t_1^3}{(1+t_1)^4}z^3
 \]
-which is coprime with $R$ in $K[z]$, implying that the integral (17)
+which is coprime with $R$ in $K[z]$, implying that the integral \ref{Int17}
 is not an elementary function.
 }
 
@@ -1572,10 +1586,10 @@ is not an elementary function.
 Suppose now that $t=\log(b)$ for some $b \in K^{*}$, and that
 $E=K(t)$. Then, every special polynomial must be in $K$, so, following
 the residue criterion, we must look for a solution $v \in K[t]$,
-$u_1,\ldots,u_k \in K(c_1,\ldots,c_n)^{*}$ of (13). Furthermore, the
+$u_1,\ldots,u_k \in K(c_1,\ldots,c_n)^{*}$ of \ref{Int13}. Furthermore, the
 integrand $f$ is also in $K[t]$, so write
 $f=\sum_{i=0}^d f_it^i$ where $f_0,\ldots,f_d \in K$ and $f_d \ne 0$. We
-must have $deg{}_t(v) \le d_1$, so writing $v=\sum_{i=0}^{d+1} v_it^i$,
+must have ${\rm deg}{}_t(v) \le d+1$, so writing $v=\sum_{i=0}^{d+1} v_it^i$,
 we get 
 \[
 \int f_dt^d+\cdots+f_1t+f_0=v_{d+1}t^{d+1}+\cdots+v_1t+v_0
@@ -1585,22 +1599,22 @@ If $d=0$, then the above is simply an integration problem for
 $f_0 \in K$, which can be solved recursively. Otherwise,
 differentiating both sides and equating the coefficients of $t^d$, we
 get ${v_{d+1}}'=0$ and
-\begin{equation}
+\begin{equation}\label{Int18}
 f_d=v_d'+(d+1)v_{d+1}\frac{b'}{b}
 \end{equation}
 Since $f_d \in K$, we can recursively apply the integration algorithm
-to $f_d$, either proving that (18) has no solution, in which case $f$
+to $f_d$, either proving that \ref{Int18} has no solution, in which case $f$
 has no elementary integral, or obtaining the constant $v_{d+1}$, and
 $v_d$ up to an additive constant (in fact, we apply recursively a
 specialized version of the integration algorithm to equations of the
-form (18), see \cite{Bro97} for details). Write then
+form \ref{Int18}, see \cite{Bro97} for details). Write then
 $v_d=\overline{v_d}+c_d$ where $\overline{v_d} \in K$ is known and 
 $c_d \in {\rm Const}(K)$ is undetermined. Equating the coefficients of
 $t^{d-1}$ yields
 \[
 f_{d-1}-d\overline{v_d}\frac{b'}{b}={v_{d-1}}'+dc_d\frac{b'}{b}
 \]
-which is an equation of the form (18), so we again recursively compute
+which is an equation of the form \ref{Int18}, so we again recursively compute
 $c_d$ and $v_{d-1}$ up to an additive constant. We repeat this process
 until either one of the recursive integrations fails, in which case $f$
 has no elementary integral, or we reduce our integrand to an element
@@ -1617,7 +1631,7 @@ $at^m$ for $a \in K^{*}$ and $m \in \mathbb{N}$. Since
 \frac{(at^m)'}{at^m}=\frac{a'}{a}+m\frac{t'}{t}=\frac{a'}{a}+mb'
 \]
 we must then look for a solution $v\in K[t,t^{-1}]$,
-$u_1,\ldots,u_k \in K(c_1,\ldots,c_n)^{*}$ of (13). Furthermore, the
+$u_1,\ldots,u_k \in K(c_1,\ldots,c_n)^{*}$ of \ref{Int13}. Furthermore, the
 integrand $f$ is also in $K[t,t^{-1}]$, so write
 $f=\sum_{i=e}^d f_it^i$ where $f_e,\ldots,f_d \in K$ and 
 $e,d\in \mathbb{Z}$. Since $(at^{m})'=(a'+mb')t^m$ for any 
@@ -1629,18 +1643,18 @@ integer $M$, hence
 Differentiating both sides and equating the coefficients of each power
 to $t^d$, we get
 \[
-f_0=(v_0+Mb)'+\sum_{i=1}^k c_i\frac{u_i^{'}}{u_i}
+f_0=(v_0+Mb)'+\sum_{i=1}^k c_i\frac{u_i^{\prime}}{u_i}
 \]
 which is simply an integration problem for $f_0 \in K$, and
 \[
-f_i=v_i^{'}+ib'v_i\quad{\rm for\ }e \le i \le d, i \ne 0
+f_i=v_i^{\prime}+ib'v_i\quad{\rm for\ }e \le i \le d, i \ne 0
 \]
 
-The above problem is called a {\sl Risch differential equation overK}. 
+The above problem is called a {\sl Risch differential equation over K}. 
 Although solving it seems more complicated than solving $g'=f$, it
 is actually simpler than an integration problem because we look for
 the solutions $v_i$ in $K$ only rather than in an extension of
-$K$. Bronstein \cite{Bro90,Bro91,Bro97} and Risch
+$K$. Bronstein \cite{Bro90c,Bro91a,Bro97} and Risch
 \cite{Ris68,Ris69a,Ris69b} describe algorithms for solving this type
 of equation when $K$ is an elementary extension of the rational
 function field.
@@ -1660,12 +1674,12 @@ $m_1,\ldots,m_k \in \mathbb{N}$, constants
 $c_1,\ldots,c_k \in \overline{K}$ and
 $u_1,\ldots,u_k \in K(c_1,\ldots,c_k)^{*}$ such that
 \[
-f=v'+2b't\sum_{i=1}^k c_im_i + \sum_{i=1}^k c_i\frac{u_i^{'}}{u_i}
+f=v'+2b't\sum_{i=1}^k c_im_i + \sum_{i=1}^k c_i\frac{u_i^{\prime}}{u_i}
 \]
 Furthermore, the integrand $f \in K(t)$ following the residue
 criterion must be of the form $f=A/(t^2+1)^M$ where $A \in K[t]$ and
 $M \ge 0$. If $M > 0$, it can be shown that $m=M$ and that
-\begin{equation}
+\begin{equation}\label{Int19}
 \left(
 \begin{array}{c}
 c'\\
@@ -1711,7 +1725,7 @@ The integrand is
 f=\frac{2t/x}{t^2+1} \in K(t)\quad{\rm where\ }K=\mathbb{Q}(x)
 {\rm\ and\ }t=\tan\left(\frac{x}{2}\right)
 \]
-Its denominator is $D=t^2+1$, which is special, and the system (19)
+Its denominator is $D=t^2+1$, which is special, and the system \ref{Int19}
 becomes 
 \[
 \left(
@@ -1747,10 +1761,10 @@ The transcendental logarithmic case method also generalizes to the
 case when $E=K(t)(y)$ is algebraic over $K(t)$, $t=log(b)$ for 
 $b \in K^{*}$ and $y$ is integral over $K[t]$: following the residue
 criterion, we can assume that $R | \kappa(R)$ where $R$ is given by
-(16), hence that all its roots in $\overline{K}$ are constants. The
+\ref{Int16}, hence that all its roots in $\overline{K}$ are constants. The
 polynomial part of the integrand is replace by a family of at most
 $[E : K(t)]$ Puiseux expansions at infinity, each of the form
-\begin{equation}
+\begin{equation}\label{Int20}
 a_{-m}\theta^{-m}+\cdots+a_{-1}\theta^{-1}+\sum_{i \ge 0} a_i\theta^i
 \end{equation}
 where $\theta^r=t^{-1}$ for some positive integer $r$. Applying the
@@ -1784,17 +1798,17 @@ nonzero integer $N$, then the integral is not elementary, otherwise,
 let $n_1,\ldots,n_k$ be nonzero integers such that $n_j\delta_j$ is
 principal for each $j$, and
 \[
-h=f-\frac{1}{m}\sum_{j=1}^k\frac{q_j}{n_j}\frac{u_j^{'}}{u_j}
+h=f-\frac{1}{m}\sum_{j=1}^k\frac{q_j}{n_j}\frac{u_j^{\prime}}{u_j}
 \]
 where $f$ is the integrand and 
 $u_j \in E(\alpha_1,\ldots,\alpha_s,\rho_1,\ldots,\rho_q)^{*}$ is such
 that $n_j\delta_j=(u_j)$. If the integral of $h$ is elementary, then
-(13) must have a solution with $v \in {\bf O}_{K[x]}$ and
+\ref{Int13} must have a solution with $v \in {\bf O}_{K[x]}$ and
 $u_1,\ldots,u_k \in \overline{K}$ so we must solve
-\begin{equation}
+\begin{equation}\label{Int21}
 h=\frac{\sum_{i=1}^n A_iw_i}{D}
-=\sum_{i=1}^n v_i^{'}w_i+\sum_{i=1}^n v_iw_i^{'}
-+\sum_{i=1}^k c_i\frac{u_i^{'}}{u_i}
+=\sum_{i=1}^n v_i^{\prime}w_i+\sum_{i=1}^n v_iw_i^{\prime}
++\sum_{i=1}^k c_i\frac{u_i^{\prime}}{u_i}
 \end{equation}
 for $v_1,\ldots,v_n \in K[t]$, constants 
 $c_1,\ldots,c_n \in \overline{K}$ and
@@ -1802,19 +1816,20 @@ $u_1,\ldots,u_k \in \overline{K}^{*}$ where
 $w=(w_1,\ldots,w_n)$ is an integral basis for $E$ over $K(t)$.
 
 If $E$ is a simple radical extension of $K(t)$, and we use the basis
-(11) and the notation of that section, then $w_1=1$ and
-\begin{equation}
-w_i^{'}=\left(\frac{i-1}{n}\frac{H'}{H}-\frac{D_{i-1}^{'}}{D_{i-1}}\right)w_i
+\ref{Int11} and the notation of that section, then $w_1=1$ and
+\begin{equation}\label{Int22}
+w_i^{\prime}=\left(\frac{i-1}{n}\frac{H'}{H}-
+\frac{D_{i-1}^{\prime}}{D_{i-1}}\right)w_i
 \quad{\rm for\ }1 \le i \le n
 \end{equation}
-This implies that (21) becomes
-\begin{equation}
-\frac{A_1}{D}=v_1^{'}+\sum_{i=1}^k c_i\frac{u_i^{'}}{u_i}
+This implies that \ref{Int21} becomes
+\begin{equation}\label{Int23}
+\frac{A_1}{D}=v_1^{\prime}+\sum_{i=1}^k c_i\frac{u_i^{\prime}}{u_i}
 \end{equation}
 which is simply an integration problem for $A_1/D \in K(t)$, and
-\begin{equation}
-\frac{A_i}{D}=v_i^{'}+\left(\frac{i-1}{n}\frac{H'}{H}
--\frac{D_{i-1}^{'}}{D_{i-1}}\right)v_i\quad{\rm for\ }1 < i \le n
+\begin{equation}\label{Int24}
+\frac{A_i}{D}=v_i^{\prime}+\left(\frac{i-1}{n}\frac{H'}{H}
+-\frac{D_{i-1}^{\prime}}{D_{i-1}}\right)v_i\quad{\rm for\ }1 < i \le n
 \end{equation}
 which are Risch differential equations over $K(t)$
 
@@ -1838,7 +1853,7 @@ $D=xt^2-(x^3-2x^2)t-x^4+x^3$, which is normal, and the resultant is
 R&=&{\rm resultant_t}({\rm pp_z}({\rm resultant_y}(((3x+1)t-x^3+x^2)y\\
 &&\\
 &&\hbox{\hskip 2.0cm}
--(2x^2-x-1)t-2x^3+x^2+x-zD^{'},F)),D)\\
+-(2x^2-x-1)t-2x^3+x^2+x-zD^{\prime},F)),D)\\
 &&\\
 &=&x^{12}(2x+1)^2(x+1)^2(x-1)^2z^3(z-2)\\
 \end{array}
@@ -1861,41 +1876,41 @@ $\delta=(u)$ where $u=(x+y)^2 \in E^{*}$, so the new integrand is
 \[
 h=f-\frac{u'}{u}=f-2\frac{(x+y)'}{x+y}=\frac{(x+1)y}{xt+x^2}
 \]
-We have $y^2=t+x$, which is squarefree, so (23) becomes
+We have $y^2=t+x$, which is squarefree, so \ref{Int23} becomes
 \[
-0=v_1^{'}+\sum_{i=1}^k c_i\frac{u_i^{'}}{u_i}
+0=v_1^{\prime}+\sum_{i=1}^k c_i\frac{u_i^{\prime}}{u_i}
 \]
-whose solution is $v_1=k=0$ and (24) becomes
+whose solution is $v_1=k=0$ and \ref{Int24} becomes
 \[
-\frac{x+1}{xt+x^2}=v_2^{'}+\frac{x+1}{2xt+2x^2}v_2
+\frac{x+1}{xt+x^2}=v_2^{\prime}+\frac{x+1}{2xt+2x^2}v_2
 \]
 whose solution is $v_2=2$, implying that $h=2y'$, hence that
 \[
 \begin{array}{l}
 \displaystyle
 \int{\frac{(x^2+2x+1)\sqrt{x+\log(x)}+(3x+1)\log(x)+3x^2+x}
-{(x\log(x)+x^2)\sqrt{x+\log(x)}+x^2\log(x)+x^3}}~dx\\
+{(x\log(x)+x^2)\sqrt{x+\log(x)}+x^2\log(x)+x^3}}~dx =\\
 \\
 \displaystyle
 \hbox{\hskip 4.0cm}2\sqrt{x+\log(x)}+2\log\left(x+\sqrt{x+\log(x)}\right)
 \end{array}
 \]}
 In the general case when $E$ is not a radical extension of $K(t)$, 
-(21) is solved by bounding $deg_t(v_i)$ and comparing the Puiseux
+\ref{Int21} is solved by bounding ${\rm deg}_t(v_i)$ and comparing the Puiseux
 expansions at infinity of $\sum_{i=1}^n v_iw_i$ with those of the form
-(20) of $h$, see \cite{Bro90,Ris68} for details.
+\ref{Int20} of $h$, see \cite{Bro90c,Ris68} for details.
 
 \subsection{The algebraic exponential case}
 The transcendental exponential case method also generalizes to the
 case when $E=K(t)(y)$ is algebraic over $K(t)$, $t=e^b$ for $b \in K$
 and $y$ is integral over $K[t]$: following the residue criterion, we
-can assume that $R|\kappa(R)$ where $R$ is given by (16), hence that
+can assume that $R|\kappa(R)$ where $R$ is given by \ref{Int16}, hence that
 all its roots in $\overline{K}$ are constants. The denominator of the
-integrancd must be of the form $D=t^mU$ where $\gcd(U,t)=1$, $U$ is
+integrand must be of the form $D=t^mU$ where $\gcd(U,t)=1$, $U$ is
 squarefree and $m \ge 0$.
 
 If $m > 0$, $E$ is a simple radical extension of $K(t)$, and we use the
-basis (11), then it is possible to reduce the power of $t$ appearing
+basis \ref{Int11}, then it is possible to reduce the power of $t$ appearing
 in $D$ by a process similar to the Hermite reduction: writing the
 integrand $f=\sum_{i=1}^n A_iw_i/(t^mU)$, we ask whether we can
 compute $b_1,\ldots,b_n \in K$ and $C_1,\ldots,C_n \in K[t]$ such that
@@ -1907,35 +1922,35 @@ compute $b_1,\ldots,b_n \in K$ and $C_1,\ldots,C_n \in K[t]$ such that
 Differentiating both sides and multiplying through by $t^m$ we get
 \[
 \frac{\sum_{i=1}^n A_iw_i}{U}
-=\sum_{i=1}^n b_i^{'}w_i+\sum_{i=1}^n b_iw_i^{'}
+=\sum_{i=1}^n b_i^{\prime}w_i+\sum_{i=1}^n b_iw_i^{\prime}
 -mb'\sum_{i=1}^n b_iw_i+\frac{t\sum_{i=1}^n C_iw_i}{U}
 \]
-Using (22) and equating the coefficients of $w_i$ on both sides, we
+Using \ref{Int22} and equating the coefficients of $w_i$ on both sides, we
 get
-\begin{equation}
-\frac{A_i}{U}=b_i^{'}+(\omega_i-mb')b_i+\frac{tC_i}{U}
+\begin{equation}\label{Int25}
+\frac{A_i}{U}=b_i^{\prime}+(\omega_i-mb')b_i+\frac{tC_i}{U}
 \quad{\rm for\ }1 \le i \le n
 \end{equation}
 where
 \[
-\omega_i=\frac{i-1}{n}\frac{H'}{H}-\frac{D_{i-1}^{'}}{D_{i-1}} \in K(t)
+\omega_i=\frac{i-1}{n}\frac{H'}{H}-\frac{D_{i-1}^{\prime}}{D_{i-1}} \in K(t)
 \]
 Since $t'/t=b' \in K$, it follows that the denominator of $\omega_i$
-is not divisible by $t$ in $K[t]$, hence, evaluating (25) at $t=0$, we
+is not divisible by $t$ in $K[t]$, hence, evaluating \ref{Int25} at $t=0$, we
 get 
-\begin{equation}
-\frac{A_i(0)}{U(0)}=b_i^{'}+(\omega_i(0)-mb')b_i
+\begin{equation}\label{Int26}
+\frac{A_i(0)}{U(0)}=b_i^{\prime}+(\omega_i(0)-mb')b_i
 \quad{\rm for\ }1 \le i \le n
 \end{equation}
 which are Risch differential equations over $K(t)$. If any of them has
 no solution in $K(t)$, then the integral is not elementary, otherwise
 we repeat this process until the denominator of the integrand is
-normal. We then perform the change of variabl $\overline{t}=t^{-1}$,
+normal. We then perform the change of variable $\overline{t}=t^{-1}$,
 which is also exponential over $K$ since
 $\overline{t}'=-b'\overline{t}$, and repeat the above process in order
 to eliminate the power of $\overline{t}$ from the denominator of the
 integrand. It can be shown that after this process, any solution of
-(13) must have $v \in K$.
+\ref{Int13} must have $v \in K$.
 
 \noindent
 {\bf Example 15} {\sl
@@ -1965,7 +1980,7 @@ We have
 so $R|\kappa(R)$ in $K[z]$, its only root being 0. Since $D$ is not
 divisible by $t$, let $\overline{t}=t^{-1}$ and $z=\overline{t}y$. We
 have $\overline{t}'=-\overline{t}$ and 
-$z^3-\overline{t}^2-x\overline{t}^3=0$, so the integral basis (11) is
+$z^3-\overline{t}^2-x\overline{t}^3=0$, so the integral basis \ref{Int11} is
 \[
 \overline{w}=(\overline{w}_1,\overline{w}_2,\overline{w}_3)
 =\left(1,z,\frac{z^2}{\overline{t}}\right)
@@ -1984,15 +1999,15 @@ $D_2=\overline{t}$, implying that
 \omega_1=0, \omega_2=\frac{(1-3x)\overline{t}-2}{3x\overline{t}+3},
 {\rm\ and\ } \omega_3=\frac{(2-3x)\overline{t}-1}{3x\overline{t}+3}
 \]
-Therefore the equations (26) become
+Therefore the equations \ref{Int26} become
 \[
-0=b_1^{'}+b_1,0=b_2^{'}+\frac{1}{3}b_2,{\rm\ and\ }
-2x+3=b_3^{'}+\frac{2}{3}b_3
+0=b_1^{\prime}+b_1,0=b_2^{\prime}+\frac{1}{3}b_2,{\rm\ and\ }
+2x+3=b_3^{\prime}+\frac{2}{3}b_3
 \]
 whose solutions are $b_1=b_2=0$ and $b_3=3x$, implying that the new
 integrand is
 \[
-h=f-\left(\frac{3x\overline{w}_3}{\overline{t}}\right)^{'}=\frac{3}{x}
+h=f-\left(\frac{3x\overline{w}_3}{\overline{t}}\right)^{\prime}=\frac{3}{x}
 \]
 hence that
 \[
@@ -2002,13 +2017,14 @@ hence that
 }
 
 In the general case when $E$ is not a radical extension of $K(t)$,
-following the Hermite reduction, any solution of (13) must have
+following the Hermite reduction, any solution of \ref{Int13} must have
 $v=\sum_{i=1}^n v_iw_i/t^m$ where $v_1,\ldots,v_m \in K[t]$. We can
-compute $v$ by bounding $deg_t(v_i)$ and comparing the Puiseux
+compute $v$ by bounding ${\rm deg}_t(v_i)$ and comparing the Puiseux
 expansions at $t=0$ and at infinity of $\sum_{i=1}^n v_iw_i/t^m$ with
-those of the form (20) of the integrand, see \cite{Bro90,Ris68} for details.
+those of the form \ref{Int20} of the integrand, 
+see \cite{Bro90c,Ris68} for details.
 
-Once we are reduced to solving (13) for $v \in K$, constants
+Once we are reduced to solving \ref{Int13} for $v \in K$, constants
 $c_1,\ldots,c_k \in \overline{K}$ and 
 $u_1,\ldots,u_k \in E(c_1,\ldots,c_k)^{*}$, constants
 $\rho_1,\ldots,\rho_s \in \overline{K}$ can be determined at all the
@@ -2016,9 +2032,9 @@ places above $t=0$ and at infinity in a manner similar to the
 algebraic logarithmic case, at which point the algorithm proceeds by
 constructing the divisors $\delta_j$ and the $u_j$'s as in that
 case. Again, the details are quite technical and can be found in 
-\cite{Bro90,Ris68,Ris69a}.
+\cite{Bro90c,Ris68,Ris69a}.
 
-\chapter{Singular Value Decomposition}
+\chapter{Singular Value Decomposition \cite{Pu09}}
 \section{Singular Value Decomposition Tutorial}
 
 When you browse standard web sources like Wikipedia to learn about 
@@ -2429,7 +2445,7 @@ are the same. We are trying to predict patterns of how words occur
 in documents instead of trying to predict patterns of how players 
 score on holes.
 \chapter{Quaternions}
-from\cite{Alt05}:
+from \cite{Alt05}:
 \begin{quotation}
 Quaternions are inextricably linked to rotations.
 Rotations, however, are an accident of three-dimensional space.
@@ -2451,7 +2467,7 @@ The Theory of Quaternions is due to Sir William Rowan Hamilton,
 Royal Astronomer of Ireland, who presented his first paper on the
 subject to the Royal Irish Academy in 1843. His Lectures on
 Quaternions were published in 1853, and his Elements, in 1866,
-shortly after his death. The Elements of Quaternions by Tait\cite{Ta1980} is
+shortly after his death. The Elements of Quaternions by Tait \cite{Ta1890} is
 the accepted text-book for advanced students.
 
 Large portions of this file are derived from a public domain version
@@ -2489,7 +2505,7 @@ are measured.
 {\bf 4}. In the usual notation of Analytical Geometry of two 
 dimensions, when rectangular axes are employed, this amounts 
 to reckoning each unit of length along $Oy$ as $+\sqrt{-1}$, and on 
-$Oy^{'}$ as $-\sqrt{-1}$ ; while on $Ox$ each unit is $+1$, and on 
+$Oy^{\prime}$ as $-\sqrt{-1}$ ; while on $Ox$ each unit is $+1$, and on 
 $Ox$ it is $-1$. 
 
 If we look at these four lines in circular order, i.e. in the order of 
@@ -2563,36 +2579,36 @@ $$OP = a + b\sqrt{-1}$$
 the line $OP$ considered as that by which we pass from one 
 extremity, $O$, to the other, $P$. In this sense it is called a VECTOR. 
 Considering, in the plane, any other vector, 
-$$OQ = a^{'}+b^{'}\sqrt{-1}$$
+$$OQ = a^{\prime}+b^{\prime}\sqrt{-1}$$
 
 \boxed{4.6in}{
 \vskip 0.1cm
 In order to created superscripted variables we use the superscript
-function from the SYMBOL domain. So we can create $a^{'}$ as ``ap''
-(that is, ``a-prime'') and $b^{'}$ as ``bp'' (``b-prime'') thus
+function from the SYMBOL domain. So we can create $a^{\prime}$ as ``ap''
+(that is, ``a-prime'') and $b^{\prime}$ as ``bp'' (``b-prime'') thus
 (also note that the underscore character is Axiom's escape character
 which removes any special meaning of the next character, in this case,
 the quote character):
 \spadcommand{ap:=superscript(a,[\_'])}
-$$a^{'}$$
+$$a^{\prime}$$
 \returnType{Type: Symbol}
 }
 \boxed{4.6in}{
 \vskip 0.1cm
 \spadcommand{bp:=superscript(b,[\_'])}
-$$b^{'}$$
+$$b^{\prime}$$
 \returnType{Type: Symbol}
 }
 \boxed{4.6in}{
 \vskip 0.1cm
 at this point we can type
 \spadcommand{ap+bp*\%i}
-$$a^{'}+b^{'}\ \%i$$
+$$a^{\prime}+b^{\prime}\ \%i$$
 \returnType{Type: Complex Polynomial Integer}
 }
 
 the addition of these two lines obviously gives 
-$$OR = a + a^{'} + (b + b^{'})\sqrt{-1}$$
+$$OR = a + a^{\prime} + (b + b^{\prime})\sqrt{-1}$$
 
 \boxed{4.6in}{
 \vskip 0.1cm
@@ -2604,13 +2620,13 @@ $$a + b\ \%i$$
 \boxed{4.6in}{
 \vskip 0.1cm
 \spadcommand{oq:=complex(ap,bp)}
-$$a^{'} + b^{'}\ \%i$$
+$$a^{\prime} + b^{\prime}\ \%i$$
 \returnType{Type: Complex Polynomial Integer}
 }
 \boxed{4.6in}{
 \vskip 0.1cm
 \spadcommand{op + oq}
-$$a + a^{'} + (b + b^{'})\%i$$
+$$a + a^{\prime} + (b + b^{\prime})\%i$$
 \returnType{Type: Complex Polynomial Integer}
 }
 
@@ -2710,9 +2726,9 @@ proportional to unity and the two lines, thus
 $$
 \begin{array}{lclr}
                & \textrm{     } & 
-1 : a+b\sqrt{-1} :: a^{'}+b^{'}\sqrt{-1} : \prod\\
+1 : a+b\sqrt{-1} :: a^{\prime}+b^{\prime}\sqrt{-1} : \prod\\
 \textrm{or}    & \textrm{     } & 
-\prod = (aa^{'} - bb^{'})+(a^{'}b+b^{'}a)\sqrt{-1}
+\prod = (aa^{\prime} - bb^{\prime})+(a^{\prime}b+b^{\prime}a)\sqrt{-1}
 \end{array}
 $$
 
@@ -2743,13 +2759,13 @@ $$
 \begin{array}{lclr}
                             & \textrm{   OP} & = & a + b\sqrt{-1}\\
 \textrm{but by}             & \textrm{   OP} & = & pa + qb\\
-\textrm{And if, similarly,} & \textrm{   OQ} & = & pa^{'} + qb^{'}\\
+\textrm{And if, similarly,} & \textrm{   OQ} & = & pa^{\prime} + qb^{\prime}\\
 \end{array}
 $$
 
 the addition of these two lines gives for $OR$ (which retains its 
 previous signification) 
-$$OR = p(a+a^{'} + q(b+b^{'})$$
+$$OR = p(a+a^{\prime} + q(b+b^{\prime})$$
 
 {\bf 12}. Beyond this, few attempts were made, or at least recorded, 
 in earlier times, to extend the principle to space of three dimensions; 
@@ -3042,12 +3058,14 @@ straight line drawn from the origin parallel to $\beta$ (\S 22).
 
 The straight line drawn from $A$, where $\overline{OA} = \alpha$, 
 and parallel to $\beta$, has the equation 
-$$\rho = \alpha + x\beta\eqno(1)$$
+\begin{equation}\label{Vec1}
+\rho = \alpha + x\beta
+\end{equation}
 In words, we may pass directly from $O$ to $P$ by the vector $\overline{OP}$ 
 or $\rho$; or we may pass first to $A$, by means of $\overline{OA}$ or 
 $\alpha$, and then to $P$ along a vector parallel to $\beta$ (\S 16). 
 
-Equation (1) is one of the many useful forms into which 
+Equation \ref{Vec1} is one of the many useful forms into which 
 Quaternions enable us to throw the general equation of a straight 
 line in space. As we have seen (\S 25) it is equivalent to three 
 numerical equations; but, as these involve the indefinite quantity 
@@ -3171,7 +3189,7 @@ results which are sometimes useful. They may be easily verified
 by producing $\overline{Aa}$ to twice its length and joining the extremity 
 with $B$. 
 
-($b^{'}$) {\sl The bisectors of the sides of a triangle meet in a point, 
+($b^{\prime}$) {\sl The bisectors of the sides of a triangle meet in a point, 
 which trisects each of them}.
 
 Taking $A$ as origin, and putting $\alpha$, $\beta$, $\gamma$
@@ -3241,7 +3259,7 @@ y(e-1)=ze
 \right\}
 $$
 These give $xy = e$, and the equation of the locus of $Q$ is 
-$$\rho = e\beta+y^{'}\alpha$$
+$$\rho = e\beta+y^{\prime}\alpha$$
 i.e. a straight line parallel to $OA$, drawn through $N$ in $OB$ 
 produced, so that 
 $$ON : OB :: OM : OA$$
@@ -3308,18 +3326,20 @@ $OB$ drawn from the origin,
 and $\alpha$ is $OA$ the tangent at the origin. In the figure 
 $$\overline{QP}=\alpha t,\hbox{\hskip 1cm}\overline{OQ}=\frac{\beta t^2}{2}$$
 
-The secant joining the points where $t$ has the values $t$ and $t^{'}$ is 
+The secant joining the points where $t$ has the values $t$ and $t^{\prime}$ is 
 represented by the equation 
 $$
 \begin{array}{rcl}
-\rho&=&\alpha t +\frac{\beta t^2}{2}+x\left(\alpha t^{'}+\frac{\beta t^{'2}}{2}
+\rho&=&\alpha t +\frac{\beta t^2}{2}+
+x\left(\alpha t^{\prime}+\frac{\beta t^{'2}}{2}
 -\alpha t-\frac{\beta t^2}{2}\right)\hbox{\hskip 1cm}(\S 30)\\
-&=&\alpha t+\frac{\beta t^2}{2}+x(t^{'}-t)\left\{\alpha+\beta\frac{t^{'}-t}{2}
+&=&\alpha t+\frac{\beta t^2}{2}+
+x(t^{\prime}-t)\left\{\alpha+\beta\frac{t^{\prime}-t}{2}
 \right\}
 \end{array}
 $$
-Write $x$ for $x(t^{'}-t)$ [which may have any value], then put 
-$t^{'}=t$, and the equation of the tangent at the point ($t$) is 
+Write $x$ for $x(t^{\prime}-t)$ [which may have any value], then put 
+$t^{\prime}=t$, and the equation of the tangent at the point ($t$) is 
 $$\rho=\alpha t + \frac{\beta t^2}{2}+x(\alpha+\beta t)$$
 In this put $x = -t$, and we have 
 $$\rho=-\frac{\beta t^2}{2}$$
@@ -3500,7 +3520,9 @@ fact that, in these equations, $\phi(t)$ or $\phi(t, u)$
 is necessarily a vector expression, since it is equated to a vector, $\rho$.] 
 
 (m) Thus the equation 
-$$\rho = \alpha\cos t+\beta\sin t + \gamma t\eqno(1)$$
+\begin{equation}\label{Quat1}
+\rho = \alpha\cos t+\beta\sin t + \gamma t
+\end{equation}
 belongs to a helix, 
 \boxed{4.6in}{
 \vskip 0.1cm
@@ -3509,7 +3531,9 @@ In Axiom we can draw this with the commands:
 tpdhere
 }
 while 
-$$\rho = \alpha\cos t+\beta\sin t + \gamma u\eqno(2)$$
+\begin{equation}\label{Quat2}
+\rho = \alpha\cos t+\beta\sin t + \gamma u
+\end{equation}
 represents a cylinder whose generating lines are parallel to $\gamma$,
 \boxed{4.6in}{
 \vskip 0.1cm
@@ -3627,7 +3651,7 @@ $$\textrm{Limit}\left(
 \right)_{\delta t=0}
 =\frac{d\rho}{dt}
 =\frac{d\phi(t)}{dt}
-=\phi^{'}(t)$$
+=\phi^{\prime}(t)$$
 
 In such a case as this, then, we are permitted to differentiate, 
 or to form the differential coefficient of, a vector, according to the 
@@ -3692,16 +3716,16 @@ $$
 \begin{array}{rcl}
 d\rho & = & L_{x=\infty}x
 \left\{
-\phi^{'}(t)\frac{1}{x}dt+
-\phi^{''}(t)\frac{1}{x^2}\frac{(dt)^2}{1\textrm{ . }2}+
+\phi^{\prime}(t)\frac{1}{x}dt+
+\phi^{\prime\prime}(t)\frac{1}{x^2}\frac{(dt)^2}{1\textrm{ . }2}+
 \textrm{\&c}
 \right\}\\
 &&\\
-& = & \phi^{'}(t)dt
+& = & \phi^{\prime}(t)dt
 \end{array}
 $$
 And, if we choose, we may now write 
-$$\frac{d\rho}{dt}=\phi^{'}(t)$$
+$$\frac{d\rho}{dt}=\phi^{\prime}(t)$$
 
 {\bf 37}. But it is to be most particularly remarked that in the 
 whole of this investigation no regard whatever has been paid to 
@@ -3715,9 +3739,9 @@ of a 'celestial Atwood's machine'.
 {\bf 38}. If we suppose the variable, in terms of which $\rho$ is expressed, 
 to be the arc, $s$, of the curve measured from some fixed point, we 
 find as before 
-$$d\rho = \phi^{'}(x)ds$$
+$$d\rho = \phi^{\prime}(x)ds$$
 From the very nature of the question it is obvious that the length 
-of $dp$ must in this case be $ds$, so that $\phi^{'}(s)$ 
+of $dp$ must in this case be $ds$, so that $\phi^{\prime}(s)$ 
 is necessarily a unit-vector. 
 This remark is of importance, as we shall see later; and 
 it may therefore be useful to obtain afresh the above result without 
@@ -4221,11 +4245,11 @@ the reciprocal.
 
 \includegraphics{ps/quat7.ps}
 
-Thus, if $OA$, $OB$, $OA^{'}$ , lie in one plane, and if 
-$OA^{'} = OA$, and $\angle A^{'}OB = \angle BOA$, we have 
+Thus, if $OA$, $OB$, $OA^{\prime}$ , lie in one plane, and if 
+$OA^{\prime} = OA$, and $\angle A^{\prime}OB = \angle BOA$, we have 
 $$\frac{\overline{OB}}{\overline{OA}}=q$$, 
 and 
-$$\frac{\overline{OB}}{\overline{OA^{'}}}=\textrm{  congugate of }q=Kq$$
+$$\frac{\overline{OB}}{\overline{OA^{\prime}}}=\textrm{  congugate of }q=Kq$$
 
 By last section we see that 
 $$Kq=(Tq)^2q^{-1}$$
@@ -4660,18 +4684,18 @@ have taken.
 
 \includegraphics{ps/quat15.ps}
 
-Let $ABA^{'}$ be a semicircle, whose centre 
-is $0$, and let $OB$ be perpendicular to $AOA^{'}$. 
+Let $ABA^{\prime}$ be a semicircle, whose centre 
+is $0$, and let $OB$ be perpendicular to $AOA^{\prime}$. 
 
-Then ${\displaystyle\frac{\overline{OB}}{\overline{OA^{'}}}}=q$ 
+Then ${\displaystyle\frac{\overline{OB}}{\overline{OA^{\prime}}}}=q$ 
 suppose, is a quadrantal versor, and is evidently equal to 
-${\displaystyle\frac{\overline{OA^{'}}}{\overline{OB}}}$ ;
+${\displaystyle\frac{\overline{OA^{\prime}}}{\overline{OB}}}$ ;
 
 \S\S 50, 53. Hence 
 
-$$q^2=\frac{\overline{OA^{'}}}{\overline{OB}}.
+$$q^2=\frac{\overline{OA^{\prime}}}{\overline{OB}}.
 \frac{\overline{OB}}{\overline{OA}}=
-\frac{\overline{OA^{'}}}{\overline{OA}}=-1]$$
+\frac{\overline{OA^{\prime}}}{\overline{OA}}=-1]$$
 
 {\bf 69}. 
 Having thus found that the squares of {\sl i}, {\sl j}, {\sl k} are each 
@@ -4961,14 +4985,15 @@ from which the quaternion derives its name, exhibited in the most
 simple form. 
 
 And now we see at once that an equation such as 
-$$q^{'}=q$$
-where\hbox{\hskip 3cm}$q^{'}=w^{'}+x^{'}i+y^{'}j+z^{'}k$\\
+$$q^{\prime}=q$$
+where\hbox{\hskip 3cm}$q^{\prime}=
+w^{\prime}+x^{\prime}i+y^{\prime}j+z^{\prime}k$\\
 involves, of course, the {\sl four} equations 
 $$
-w^{'}=w\textrm{,  }
-x^{'}=x\textrm{,  }
-y^{'}=y\textrm{,  }
-z^{'}=z
+w^{\prime}=w\textrm{,  }
+x^{\prime}=x\textrm{,  }
+y^{\prime}=y\textrm{,  }
+z^{\prime}=z
 $$
 
 {\bf 81}. We proceed to indicate another mode of proof of the distributive 
@@ -4985,15 +5010,17 @@ But, writing $\alpha$ for $\alpha^{-1}$,
 we see that this involves the equality 
 $$(\beta+\gamma)\alpha = \beta\alpha+\gamma\alpha$$
 from which, by taking the conjugates of both sides, we derive 
-$$\alpha^{'}(\beta^{'}+\gamma^{'})=\alpha^{'}\beta^{'}+\alpha^{'}\gamma^{'}
+$$\alpha^{\prime}(\beta^{\prime}+\gamma^{\prime})=
+\alpha^{\prime}\beta^{\prime}+\alpha^{\prime}\gamma^{\prime}
 (\S 55)$$
 And a combination of these results (putting 
-$\beta+\gamma$ for $\alpha^{'}$ in the latter, for instance) gives 
+$\beta+\gamma$ for $\alpha^{\prime}$ in the latter, for instance) gives 
 $$
 \begin{array}{lcr}
-(\beta+\gamma)(\beta^{'}+\gamma^{'}) & = &
-(\beta+\gamma)\beta^{'}+(\beta+\gamma)\gamma^{'}\\
-& = & \beta\beta^{'}+\gamma\beta^{'}+\beta\gamma^{'}+\gamma\gamma^{'}
+(\beta+\gamma)(\beta^{\prime}+\gamma^{\prime}) & = &
+(\beta+\gamma)\beta^{\prime}+(\beta+\gamma)\gamma^{\prime}\\
+& = & \beta\beta^{\prime}+\gamma\beta^{\prime}+
+\beta\gamma^{\prime}+\gamma\gamma^{\prime}
 \end{array}
 $$
 by the former.
@@ -5026,7 +5053,8 @@ a\frac{\beta}{\delta}+\frac{\gamma}{\beta}.\frac{\beta}{\delta}\\
 \end{array}
 $$
 And the conjugate may be written 
-$$q^{'}(a^{'}+\alpha^{'})=q^{'}a^{'}+q^{'}\alpha^{'} (\S 55)$$
+$$q^{\prime}(a^{\prime}+\alpha^{\prime})=
+q^{\prime}a^{\prime}+q^{\prime}\alpha^{\prime} (\S 55)$$
 Hence, generally, 
 $$(a+\alpha)(b+\beta)=ab+a\beta+b\alpha+\alpha\beta$$
 or, breaking up $a$ and $b$ each into the sum of two scalars, and 
@@ -5053,11 +5081,12 @@ we have $(p+q)(r+s)=pr+ps+qr+qs$
 {\bf 82}. Cayley suggests that the laws of quaternion multiplication 
 may be derived more directly from those of vector multiplication, 
 supposed to be already established. Thus, let $\alpha$ be the unit vector 
-perpendicular to the vector parts of $q$ and of $q^{'}$. Then let 
-$$\rho=q.\alpha,\;\;\;\sigma=-\alpha .q^{'}$$
+perpendicular to the vector parts of $q$ and of $q^{\prime}$. Then let 
+$$\rho=q.\alpha,\;\;\;\sigma=-\alpha .q^{\prime}$$
 as is evidently permissible, and we have 
-$$p\alpha=q.\alpha\alpha=-q;\;\;\;\alpha\sigma=-\alpha\alpha.q^{'}=q^{'}$$
-so that\hbox{\hskip 4cm}$-q.q^{'}=\rho\alpha.\alpha\sigma=-\rho.\sigma$
+$$p\alpha=q.\alpha\alpha=-q;\;\;\;\alpha\sigma=
+-\alpha\alpha.q^{\prime}=q^{\prime}$$
+so that\hbox{\hskip 4cm}$-q.q^{\prime}=\rho\alpha.\alpha\sigma=-\rho.\sigma$
 
 The student may easily extend this process. 
 
@@ -5071,7 +5100,7 @@ We will commence by proving the result of \S 77 anew.
 
 {\bf 83}. Let 
 $$\alpha=xi+yj+zk$$
-$$\beta=x^{'}i+y^{'}j+z^{'}k$$
+$$\beta=x^{\prime}i+y^{\prime}j+z^{\prime}k$$
 Then, because by \S 71 every product or quotient of $i$, $j$, $k$ is reducible 
 to one of them or to a number, we are entitled to assume 
 $$q=\frac{\beta}{\alpha}=\omega+\xi i+\eta j +\zeta k$$
@@ -5086,12 +5115,12 @@ where the various sums are to be interpreted as in \S 61.
 All such things become obvious in view of the properties of $i$, $j$ ,$k$.] 
 
 {\bf 84}. But it may be interesting to find $\omega$, $\xi$, $\eta$, $\zeta$ 
-in terms of $x$, $y$, $z$, $x^{'}$, $y^{'}$ , $z^{'}$ . 
+in terms of $x$, $y$, $z$, $x^{\prime}$, $y^{\prime}$ , $z^{\prime}$ . 
 
 We have 
 $$\beta=q\alpha$$
 or 
-$$x^{'}i+y^{'}j+z^{'}k=(\omega+\xi i+\eta j+\zeta k)(xi+yj+zk)$$
+$$x^{\prime}i+y^{\prime}j+z^{\prime}k=(\omega+\xi i+\eta j+\zeta k)(xi+yj+zk)$$
 $$=-(\xi x+\eta y+\zeta z)
 +(\omega x+\eta z-\zeta y)i
 +(\omega y+\zeta x-\xi z)j
@@ -5105,21 +5134,21 @@ This (\S 80) resolves itself into the four equations
 $$
 \begin{array}{lllllllll}
 0      & = &          &   & \xi x & + & \eta y & + & \zeta z\\
-x^{'}  & = & \omega x &   &       & + & \eta z & - & \zeta y\\
-y^{'}  & = & \omega y & - & \xi z &   &        & + & \zeta x\\
-z^{'}  & = & \omega z & + & \xi y & - & \eta x\\
+x^{\prime}  & = & \omega x &   &       & + & \eta z & - & \zeta y\\
+y^{\prime}  & = & \omega y & - & \xi z &   &        & + & \zeta x\\
+z^{\prime}  & = & \omega z & + & \xi y & - & \eta x\\
 \end{array}
 $$
 The three last equations give 
-$$xx^{'}+yy^{'}+zz^{'}=\omega(x^2+y^2+z^2)$$
+$$xx^{\prime}+yy^{\prime}+zz^{\prime}=\omega(x^2+y^2+z^2)$$
 which determines $\omega$. 
 
 Also we have, from the same three, by the help of the first, 
-$$\xi x^{'}+\eta y^{'}+\zeta z^{'} = 0$$
+$$\xi x^{\prime}+\eta y^{\prime}+\zeta z^{\prime} = 0$$
 which, combined with the first, gives
-$$\frac{\xi}{yz^{'}-zy^{'}}
-=\frac{\eta}{zx^{'}-xz^{'}}
-=\frac{\zeta}{xy^{'}-yx^{'}}
+$$\frac{\xi}{yz^{\prime}-zy^{\prime}}
+=\frac{\eta}{zx^{\prime}-xz^{\prime}}
+=\frac{\zeta}{xy^{\prime}-yx^{\prime}}
 $$
 and the common value of these three fractions is then easily seen 
 to be 
@@ -5134,8 +5163,9 @@ giving it, we shall refer back to this section.
 by means of the distributive (\S 81). We leave the proof to the 
 student. He has merely to multiply together the factors 
 $$w+xi+yj+zk,\;\;\;\; 
-w+x^{'}i+y^{'}j+z^{'}k,\;\;\;\;\textrm{ and }
-w^{''} + x^{''}i + y^{''}j + z^{''}k$$
+w+x^{\prime}i+y^{\prime}j+z^{\prime}k,\;\;\;\;\textrm{ and }
+w^{\prime\prime} + x^{\prime\prime}i + y^{\prime\prime}j + 
+z^{\prime\prime}k$$
 
 as follows : 
 
@@ -5149,19 +5179,19 @@ $i$, $j$, $k$, in these products, respectively equal, each to each.
 {\bf 86}. 
 With the same expressions for $\alpha$, $\beta$, as in section 83, we 
 have 
-$$\alpha\beta=(xi+yj+zk)(x^{'}i+y^{'}j+z^{'}k)$$
-$$\;\;=-(xx^{'}+yy^{'}+zz^{'})
-+(yz^{'}-zy^{'})i
-+(zx^{'}-xz^{'})j
-+(xy^{'}-yx^{'})k
+$$\alpha\beta=(xi+yj+zk)(x^{\prime}i+y^{\prime}j+z^{\prime}k)$$
+$$\;\;=-(xx^{\prime}+yy^{\prime}+zz^{\prime})
++(yz^{\prime}-zy^{\prime})i
++(zx^{\prime}-xz^{\prime})j
++(xy^{\prime}-yx^{\prime})k
 $$
 
 But we have also 
 $$\beta\alpha=
--(xx^{'}+yy^{'}+zz^{'})
--(yz^{'}-zy^{'})i
--(zx^{'}-xz^{'})j
--(xy^{'}-yx^{'})k
+-(xx^{\prime}+yy^{\prime}+zz^{\prime})
+-(yz^{\prime}-zy^{\prime})i
+-(zx^{\prime}-xz^{\prime})j
+-(xy^{\prime}-yx^{\prime})k
 $$
 
 The only difference is in the sign of the vector parts. Hence 
@@ -5172,7 +5202,7 @@ $$\alpha\beta-\beta\alpha=2V\alpha\beta\eqno{(4)}$$
 $$\alpha\beta=K.\beta\alpha\eqno{(5)}$$
 
 {\bf 87}. If $\alpha=\beta$ we have of course (\S 25) 
-$$x=x^{'},\;\;\;\;y=y^{'},\;\;\;\;z=z^{'}$$
+$$x=x^{\prime},\;\;\;\;y=y^{\prime},\;\;\;\;z=z^{\prime}$$
 and the formulae of last section become 
 $$\alpha\beta=\beta\alpha=\alpha^2=-(x^2+y^2+z^2)$$
 which was anticipated in \S 73, where we proved the formula 
@@ -5629,28 +5659,28 @@ where $x$ is an undetermined scalar.
 
 {\bf 99}. If we write, as in \S\S 83, 84, 
 $$\alpha=ix+jy+kz$$
-$$\beta=ix^{'}+jy^{'}+kz^{'}$$
+$$\beta=ix^{\prime}+jy^{\prime}+kz^{\prime}$$
 we have, at once, by \S 86, 
 $$\begin{array}{rcl}
-S\alpha\beta&=&-xx^{'}-yy^{'}-zz^{'}\\
-&=&-rr^{'}\left(
-\frac{x}{r}\frac{x^{'}}{r^{'}}+
-\frac{y}{r}\frac{y^{'}}{r^{'}}+
-\frac{z}{r}\frac{z^{'}}{r^{'}}
+S\alpha\beta&=&-xx^{\prime}-yy^{\prime}-zz^{\prime}\\
+&=&-rr^{\prime}\left(
+\frac{x}{r}\frac{x^{\prime}}{r^{\prime}}+
+\frac{y}{r}\frac{y^{\prime}}{r^{\prime}}+
+\frac{z}{r}\frac{z^{\prime}}{r^{\prime}}
 \right)
 \end{array}
 $$
 where
 $$
 r=\sqrt{x^2+y^2+z^2},\;\;\;\;
-r^{'}=\sqrt{x^{'2}+y^{'2}+z^{'2}}
+r^{\prime}=\sqrt{x^{'2}+y^{'2}+z^{'2}}
 $$
 Also
 $$
-V\alpha\beta=rr^{'}\left\{
-\frac{yz^{'}-zy^{'}}{rr^{'}}i+
-\frac{zx^{'}-xz^{'}}{rr^{'}}j+
-\frac{xy^{'}=yx^{'}}{rr^{'}}k
+V\alpha\beta=rr^{\prime}\left\{
+\frac{yz^{\prime}-zy^{\prime}}{rr^{\prime}}i+
+\frac{zx^{\prime}-xz^{\prime}}{rr^{\prime}}j+
+\frac{xy^{\prime}=yx^{\prime}}{rr^{\prime}}k
 \right\}
 $$
 
@@ -5708,17 +5738,17 @@ $$S.\alpha\beta\gamma=S.\alpha\beta(p\alpha+q\beta)=0$$
 This property of the expression $S.\alpha\beta\gamma$ prepares us to 
 find that it is a determinant. And, in fact, if we take $\alpha$,$\beta$ as in 
 \S 83, and in addition 
-$$\gamma=ix^{''}+jy^{''}+kz^{''}$$
+$$\gamma=ix^{\prime\prime}+jy^{\prime\prime}+kz^{\prime\prime}$$
 we have at once 
-$$S.\alpha\beta\gamma=-x^{''}(yz^{'}-zy^{'})-
-y^{''}(zx^{'}-xz^{'})-
-z^{''}(xy^{'}-yx^{'})$$
+$$S.\alpha\beta\gamma=-x^{\prime\prime}(yz^{\prime}-zy^{\prime})-
+y^{\prime\prime}(zx^{\prime}-xz^{\prime})-
+z^{\prime\prime}(xy^{\prime}-yx^{\prime})$$
 $$
 =-\left\vert
 \begin{array}{ccc}
 x & y & z\\
-x^{'} & y^{'} & z^{'}\\
-x^{''}&y^{''}&z^{''}
+x^{\prime} & y^{\prime} & z^{\prime}\\
+x^{\prime\prime}&y^{\prime\prime}&z^{\prime\prime}
 \end{array}
 \right\vert
 $$
@@ -5729,9 +5759,9 @@ $$S.\alpha\beta\gamma=-S.\beta\alpha\gamma=S.\beta\gamma\alpha
 \textrm{, \&c}$$
 
 If we take three new vectors 
-$$\alpha_1=ix+jx^{'}+kx^{''}$$
-$$\beta_1 =iy+jy^{'}+ky^{''}$$
-$$\gamma_1=iz+jz^{'}+kz^{''}$$
+$$\alpha_1=ix+jx^{\prime}+kx^{\prime\prime}$$
+$$\beta_1 =iy+jy^{\prime}+ky^{\prime\prime}$$
+$$\gamma_1=iz+jz^{\prime}+kz^{\prime\prime}$$
 we thus see that they are coplanar if $\alpha$, $\beta$, $\gamma$ are so. 
 That is, if 
 $$S.\alpha\beta\gamma=0$$
@@ -5755,8 +5785,8 @@ In Cartesian coordinates this is\\
 \vskip 0.1cm
 $(x^2+y^2+z^z)(x^{'2}+y^{'2}+z^{'2})$
 $$
-=(xx^{'}+yy^{'}+zz^{'})^2+(yz^{'}-zy^{'})^2+
-(zx^{'}-xz^{'})^2+(xy^{'}-yx^{'})^2
+=(xx^{\prime}+yy^{\prime}+zz^{\prime})^2+(yz^{\prime}-zy^{\prime})^2+
+(zx^{\prime}-xz^{\prime})^2+(xy^{\prime}-yx^{\prime})^2
 $$
 More generally we have 
 $$
@@ -5767,11 +5797,13 @@ $$
 $$
 If we write 
 $$q=w+\alpha=w+ix+jy+kz$$
-$$r=w^{'}+\beta=w^{'}+ix^{'}+jy^{'}+kz^{'}$$
+$$r=w^{\prime}+\beta=w^{\prime}+ix^{\prime}+jy^{\prime}+kz^{\prime}$$
 this becomes 
 $$(w^2+x^2+y^2+z^2)(w^{'2}+x^{'2}+y^{'2}+z^{'2})$$
-$$=(ww^{'}-xx^{'}-yy^{'}-zz^{'})^2+(wx^{'}+w^{'}x+yz^{'}-zy^{'})^2$$
-$$=(xy^{'}+w^{'}y+zx^{'}-xz^{'})^2+(wz^{'}+w^{'}z+xy^{'}-yx^{'})^2$$
+$$=(ww^{\prime}-xx^{\prime}-yy^{\prime}-zz^{\prime})^2+
+(wx^{\prime}+w^{\prime}x+yz^{\prime}-zy^{\prime})^2$$
+$$=(xy^{\prime}+w^{\prime}y+zx^{\prime}-xz^{\prime})^2+
+(wz^{\prime}+w^{\prime}z+xy^{\prime}-yx^{\prime})^2$$
 a formula of algebra due to Euler. 
 
 {\bf 104}. We have, of course, by multiplication, 
@@ -5904,10 +5936,10 @@ Thus $$T(\rho+\alpha)=T(\rho-\alpha)$$
 [which expresses that if 
 $$
 \overline{OA}=\alpha\;\;\;\;
-\overline{OA^{'}}=-\alpha\;\;\;\;\textrm{ and }\;\;\;\;
+\overline{OA^{\prime}}=-\alpha\;\;\;\;\textrm{ and }\;\;\;\;
 \overline{OP}=\rho
 $$
-we have\hbox{\hskip 4cm}$AP=A^{'}P$\\
+we have\hbox{\hskip 4cm}$AP=A^{\prime}P$\\
 and thus that $P$ is any point equidistant from two fixed points,] 
 may be written $$(\rho+\alpha)^2=(\rho-\alpha)^2$$
 or\hbox{\hskip 3cm}$\rho^2+2S\alpha\rho+\alpha^2=
@@ -6002,16 +6034,22 @@ $$
 which, when equated to zero, gives the same relation as before. 
 [See Ex. 10 at the end of this Chapter.] 
 
-An additional point, with $\epsilon=x^{'}\alpha+y^{'}\beta+z^{'}\gamma$
+An additional point, with $\epsilon=x^{\prime}\alpha+
+y^{\prime}\beta+z^{\prime}\gamma$
 gives six additional equations like (1) ; i. e. 
 $$
 \begin{array}{rlll}
-S\alpha\epsilon&=x^{'}\alpha^2&+y^{'}S\alpha\beta&+z^{'}S\alpha\gamma\\
-S\beta\epsilon&=x^{'}S\beta\alpha&+y^{'}\beta^2&+z^{'}S\beta\gamma\\
-S\gamma\epsilon&=x^{'}S\gamma\alpha&+y^{'}S\gamma\beta&+z^{'}\gamma^2\\
-S\delta\epsilon&=x^{'}S\delta\alpha&+y^{'}S\delta\beta&+z^{'}S\delta\gamma\\
+S\alpha\epsilon&=x^{\prime}\alpha^2&+
+y^{\prime}S\alpha\beta&+z^{\prime}S\alpha\gamma\\
+S\beta\epsilon&=x^{\prime}S\beta\alpha&+y^{\prime}\beta^2&+
+z^{\prime}S\beta\gamma\\
+S\gamma\epsilon&=x^{\prime}S\gamma\alpha&+y^{\prime}S\gamma\beta&+
+z^{\prime}\gamma^2\\
+S\delta\epsilon&=x^{\prime}S\delta\alpha&+y^{\prime}S\delta\beta&+
+z^{\prime}S\delta\gamma\\
 &=xS\epsilon\alpha&+yS\epsilon\beta&+zS\epsilon\gamma\\
-\epsilon^2&=x^{'}S\alpha\epsilon&+y^{'}S\beta\epsilon&+z^{'}S\gamma\epsilon
+\epsilon^2&=x^{\prime}S\alpha\epsilon&+y^{\prime}S\beta\epsilon&+
+z^{\prime}S\gamma\epsilon
 \end{array}
 $$
 from which corresponding conclusions may be drawn. 
@@ -6377,13 +6415,13 @@ triangles, with a common side, and having their other sides
 bisected by the same great circle (i.e. having their vertices in a 
 small circle parallel to this great circle) have equal areas, \&c. ]
 
-{\bf 118}. Let $\overline{Oa}=\alpha^{'}$, $\overline{Ob}=\beta^{'}$,
-$\overline{Oc}=\gamma^{'}$, and we have 
+{\bf 118}. Let $\overline{Oa}=\alpha^{\prime}$, $\overline{Ob}=\beta^{\prime}$,
+$\overline{Oc}=\gamma^{\prime}$, and we have 
 $$
 \begin{array}{rcl}
-\left(\frac{\alpha^{'}}{\beta^{'}}\right)^{\frac{1}{2}}
-\left(\frac{\beta^{'}}{\gamma^{'}}\right)^{\frac{1}{2}}
-\left(\frac{\gamma^{'}}{\alpha^{'}}\right)^{\frac{1}{2}}&=&
+\left(\frac{\alpha^{\prime}}{\beta^{\prime}}\right)^{\frac{1}{2}}
+\left(\frac{\beta^{\prime}}{\gamma^{\prime}}\right)^{\frac{1}{2}}
+\left(\frac{\gamma^{\prime}}{\alpha^{\prime}}\right)^{\frac{1}{2}}&=&
 {\stackrel{\frown}{Ca}}.{\stackrel{\frown}{cA}}.{\stackrel{\frown}{Bc}}\\
 &=&{\stackrel{\frown}{Ca}}.{\stackrel{\frown}{BA}}\\
 &=&{\stackrel{\frown}{EG}}.{\stackrel{\frown}{FE}}=
@@ -6394,13 +6432,13 @@ $$
 But $FG$ is the complement of $DF$. Hence the {\sl angle of the 
 quaternion}
 $$
-\left(\frac{\alpha^{'}}{\beta^{'}}\right)^{\frac{1}{2}}
-\left(\frac{\beta^{'}}{\gamma^{'}}\right)^{\frac{1}{2}}
-\left(\frac{\gamma^{'}}{\alpha^{'}}\right)^{\frac{1}{2}}
+\left(\frac{\alpha^{\prime}}{\beta^{\prime}}\right)^{\frac{1}{2}}
+\left(\frac{\beta^{\prime}}{\gamma^{\prime}}\right)^{\frac{1}{2}}
+\left(\frac{\gamma^{\prime}}{\alpha^{\prime}}\right)^{\frac{1}{2}}
 $$
 {\sl is half the spherical excess of the triangle whose angular points are 
-at the extremities of the unit-vectors} $\alpha^{'}$, $\beta^{'}$, and
-$\gamma^{'}$.
+at the extremities of the unit-vectors} $\alpha^{\prime}$, $\beta^{\prime}$, 
+and $\gamma^{\prime}$.
 
 [In seeking a purely quaternion proof of the preceding proposi 
 tions, the student may commence by showing that for any three 
@@ -6417,13 +6455,15 @@ Another easy method is to commence afresh by forming from
 the vectors of the corners of a spherical triangle three new vectors 
 thus: 
 $$
-\alpha^{'}=\left(\frac{\beta+\gamma}{\alpha}^{2}\right)^2 .\;\alpha,\;\;\;\;\;
+\alpha^{\prime}=\left(\frac{\beta+\gamma}{\alpha}^{2}\right)^2 .\;
+\alpha,\;\;\;\;\;
 \textrm{\&c.}
 $$
 
-Then the angle between the planes of $\alpha$, $\beta^{'}$ and
-$\gamma^{'}$, $\alpha$; or of $\beta$, $\gamma^{'}$ and $\alpha^{'}$,
-$\beta$; or of $\gamma$, $\alpha^{'}$ and $\beta^{'}$, $\gamma$
+Then the angle between the planes of $\alpha$, $\beta^{\prime}$ and
+$\gamma^{\prime}$, $\alpha$; or of $\beta$, $\gamma^{\prime}$ 
+and $\alpha^{\prime}$,
+$\beta$; or of $\gamma$, $\alpha^{\prime}$ and $\beta^{\prime}$, $\gamma$
 is obviously the spherical excess. 
 
 But a still simpler method of proof is easily derived from the 
@@ -6448,16 +6488,16 @@ be the pole of $q$.
 $$
 {\stackrel{\frown}{AB}}=q,\;\;\;\;
 {\stackrel{\frown}{AB^{-1}}}=q^{-1},\;\;\;\;
-{\stackrel{\frown}{B^{'}C^{'}}}=r
+{\stackrel{\frown}{B^{\prime}C^{\prime}}}=r
 $$
-Join $C^{'}A$, and make 
-${\stackrel{\frown}{AC}}={\stackrel{\frown}{C^{'}A}}$. Join $CB$.
+Join $C^{\prime}A$, and make 
+${\stackrel{\frown}{AC}}={\stackrel{\frown}{C^{\prime}A}}$. Join $CB$.
 
 Then ${\stackrel{\frown}{CB}}$ is $qrq^{-1}$, 
 its arc $CB$ is evidently equal in length to that 
-of $r$, $B^{'}C^{'}$; and its plane (making the same angle with 
-$B^{'}B$ that that of 
-$B^{'}C^{'}$ does) has evidently been made to revolve about $Q$, the 
+of $r$, $B^{\prime}C^{\prime}$; and its plane (making the same angle with 
+$B^{\prime}B$ that that of 
+$B^{\prime}C^{\prime}$ does) has evidently been made to revolve about $Q$, the 
 pole of $q$, through double the angle of $q$. 
 
 It is obvious, from the nature of the above proof, that this 
@@ -6529,19 +6569,19 @@ $$=\lambda\sin d+\mu\cos d$$
 where $d$ is its declination. 
 
 Hence when its hour-angle is $h$, its vector is 
-$$\delta^{'}=L^{-1}\delta L$$
+$$\delta^{\prime}=L^{-1}\delta L$$
 
 The vertical plane containing it intersects the horizon in 
-$$iVi\delta^{'}=jSj\delta^{'}+kSk\delta^{'}$$
+$$iVi\delta^{\prime}=jSj\delta^{\prime}+kSk\delta^{\prime}$$
 so that 
-$$\tan(azimuth)=\frac{Sk\delta^{'}}{Sj\delta^{'}}\eqno{(1)}$$
+$$\tan(azimuth)=\frac{Sk\delta^{\prime}}{Sj\delta^{\prime}}\eqno{(1)}$$
 
 [This may also be obtained directly from the last formula (1) 
 of \S 114.] 
 
 To find its Amplitude, i.e. its azimuth at rising or setting, 
 the hour-angle must be obtained from the condition 
-$$Si\delta^{'}=0\eqno{(2)}$$
+$$Si\delta^{\prime}=0\eqno{(2)}$$
 
 These relations, with others immediately deducible from them, 
 enable us (at once and for ever) to dispense with the hideous 
@@ -6551,7 +6591,7 @@ formulae of Spherical Trigonometry.
 translate the expressions above into the ordinary notation. This 
 is effected at once by means of the expressions for $\lambda$, $\mu$, $L$,
 and $\delta$ above, which give by inspection 
-$$\delta^{'}=\lambda\sin d+(\mu\cos h-k\sin h)\cos d$$
+$$\delta^{\prime}=\lambda\sin d+(\mu\cos h-k\sin h)\cos d$$
 = x sin d + (fjb cos h k sin h) cos d, 
 and we have from (1) and (2) of last section respectively 
 $$
@@ -6875,10 +6915,10 @@ $$
 $$
 we obtain, as will be seen in Chapter IV, the following, 
 $$
-S\alpha\rho S\alpha\rho^{'}+
-S\beta\rho S\beta\rho^{'}+
-S\gamma\rho S\gamma\rho^{'}=
-\frac{S.(\iota\rho+\rho\kappa)(\kappa\rho^{'}+\rho^{'}\iota)}
+S\alpha\rho S\alpha\rho^{\prime}+
+S\beta\rho S\beta\rho^{\prime}+
+S\gamma\rho S\gamma\rho^{\prime}=
+\frac{S.(\iota\rho+\rho\kappa)(\kappa\rho^{\prime}+\rho^{\prime}\iota)}
 {(\kappa^2-\iota^2)^2}
 $$
 where $\rho$ also may be any vector whatever. 
@@ -6886,7 +6926,7 @@ where $\rho$ also may be any vector whatever.
 This is another very important formula of transformation ; and 
 it will be a good exercise for the student to prove its truth by 
 processes analogous to those in last section. We may merely 
-observe, what indeed is obvious, that by putting $\rho^{'}=\rho$ it becomes 
+observe, what indeed is obvious, that by putting $\rho^{\prime}=\rho$ it becomes 
 the formula of last section. And we see that we may write, with 
 the recent values of $\iota$ and $\kappa$ in terms of 
 $\alpha$, $\beta$, $\gamma$, the identity 
@@ -6912,12 +6952,13 @@ as in algebra, that any quaternion expression which contains this
 imaginary can always be broken up into the sum of two parts, one 
 real, the other multiplied by the first power of $\sqrt{-1}$. Such an 
 expression, viz. 
-$$q=q^{'}+\sqrt{-1}q^{''}$$
-where $q^{'}$ and $q^{''}$ are real quaternions, is called by Hamilton a 
+$$q=q^{\prime}+\sqrt{-1}q^{\prime\prime}$$
+where $q^{\prime}$ and $q^{\prime\prime}$ are real quaternions, 
+is called by Hamilton a 
 BIQUATERNION. [The student should be warned that the term 
 Biquaternion has since been employed by other writers in the 
 sense sometimes of a ``set'' of 8 elements, analogous to the 
-Quaternion 4 ; sometimes for an expression $q^{'} + \theta q^{''}$ 
+Quaternion 4 ; sometimes for an expression $q^{\prime} + \theta q^{\prime\prime}$ 
 where $\theta$ is not 
 the algebraic imaginary. By them Hamilton s Biquaternion is 
 called simply a quaternion with non-real constituents.] Some 
@@ -6927,99 +6968,109 @@ that any biquaternion can be divided into a real and an imaginary
 part, the latter being the product of $\sqrt{-1}$ by a real quaternion; 
 second, that this $\sqrt{-1}$ is commutative with all other quantities in 
 multiplication; third, that if two biquaternions be equal, as 
-$$q^{'}+\sqrt{-1}\;q^{''}=r^{'}+\sqrt{-1}\;r^{''}$$
+$$q^{\prime}+\sqrt{-1}\;q^{\prime\prime}=
+r^{\prime}+\sqrt{-1}\;r^{\prime\prime}$$
 we have, as in algebra, 
-$$q^{'}=r^{'},\;\;\;\;q^{''}=r^{''}$$
+$$q^{\prime}=r^{\prime},\;\;\;\;q^{\prime\prime}=r^{\prime\prime}$$
 so that an equation between biquaternions involves in general 
 {\sl eight} equations between scalars. Compare \S 80. 
 
 {\bf 131}. We have obviously, since $\sqrt{-1}$ is a scalar, 
-$$S(q^{'}+\sqrt{-1}\;q^{''})=Sq^{'}+\sqrt{-1}\;Sq^{''}$$
-$$V(q^{'}+\sqrt{-1}\;q^{''})=Vq^{'}+\sqrt{-1}\;Vq^{''}$$
+$$S(q^{\prime}+\sqrt{-1}\;q^{\prime\prime})=
+Sq^{\prime}+\sqrt{-1}\;Sq^{\prime\prime}$$
+$$V(q^{\prime}+\sqrt{-1}\;q^{\prime\prime})=
+Vq^{\prime}+\sqrt{-1}\;Vq^{\prime\prime}$$
 Hence (\S 103) 
-$$\{T(q^{'}+\sqrt{-1}\;q^{''})\}^2$$
+$$\{T(q^{\prime}+\sqrt{-1}\;q^{\prime\prime})\}^2$$
 $$
-=(Sq^{'}+\sqrt{-1}\;Sq^{''}+Vq^{'}+\sqrt{-1}\;Vq^{''})
-(Sq^{'}+\sqrt{-1}\;Sq^{''}-Vq^{'}-\sqrt{-1}\;Vq^{''})
+=(Sq^{\prime}+\sqrt{-1}\;Sq^{\prime\prime}+
+Vq^{\prime}+\sqrt{-1}\;Vq^{\prime\prime})
+(Sq^{\prime}+\sqrt{-1}\;Sq^{\prime\prime}-Vq^{\prime}-
+\sqrt{-1}\;Vq^{\prime\prime})
 $$
-$$=(Sq^{'}+\sqrt{-1}\;Sq^{''})^2-(Vq^{'}+\sqrt{-1}\;Vq^{''})^2$$
-$$=(Tq^{'})^2-(Tq^{''})^2+2\sqrt{-1}\;S.q^{'}Kq^{''}$$
+$$=(Sq^{\prime}+\sqrt{-1}\;Sq^{\prime\prime})^2-
+(Vq^{\prime}+\sqrt{-1}\;Vq^{\prime\prime})^2$$
+$$=(Tq^{\prime})^2-(Tq^{\prime\prime})^2+
+2\sqrt{-1}\;S.q^{\prime}Kq^{\prime\prime}$$
 
 The only remark which need be made on such formulae is this, that 
 {\sl the tensor of a biquaternion may vanish while both of the component 
 quaternions are finite}. 
 
 Thus, if 
-$$Tq^{'}=Tq^{''}$$
+$$Tq^{\prime}=Tq^{\prime\prime}$$
 and
-$$S.q^{'}Kq^{''}=0$$
+$$S.q^{\prime}Kq^{\prime\prime}=0$$
 the above formula gives 
-$$T(q^{'}+\sqrt{-1}\;q^{''})=0$$
+$$T(q^{\prime}+\sqrt{-1}\;q^{\prime\prime})=0$$
 The condition 
-$$S.q^{'}Kq^{''}=0$$
+$$S.q^{\prime}Kq^{\prime\prime}=0$$
 may be written 
 $$
-Kq^{''}=q^{'-1}\alpha,\;\;\;\textrm{ or }\;\;\;
-q^{''}=-\alpha Kq^{'-1}=-\frac{\alpha q^{'}}{(Tq^{'})^2}
+Kq^{\prime\prime}=q^{'-1}\alpha,\;\;\;\textrm{ or }\;\;\;
+q^{\prime\prime}=-\alpha Kq^{'-1}=-\frac{\alpha q^{\prime}}{(Tq^{\prime})^2}
 $$
 where $\alpha$ is any vector whatever. 
 
 Hence 
-$$Tq^{'}=Tq^{''}=TKq^{''}=\frac{T\alpha}{Tq^{''}}$$
+$$Tq^{\prime}=Tq^{\prime\prime}=TKq^{\prime\prime}=
+\frac{T\alpha}{Tq^{\prime\prime}}$$
 and therefore 
 $$
-Tq^{'}(Uq^{'}-\sqrt{-1}\;U\alpha . Uq^{'})=
-(1-\sqrt{-1}\;U\alpha)q^{'}
+Tq^{\prime}(Uq^{\prime}-\sqrt{-1}\;U\alpha . Uq^{\prime})=
+(1-\sqrt{-1}\;U\alpha)q^{\prime}
 $$
 is the general form of a biquaternion whose tensor is zero. 
 
-{\bf 132}. More generally we have, $q$, $r$, $q^{'}$, $r^{'}$ 
+{\bf 132}. More generally we have, $q$, $r$, $q^{\prime}$, $r^{\prime}$ 
 being any four real and non-evanescent quaternions, 
 $$
-(q+\sqrt{-1}\;q^{'})(r+\sqrt{-1}\;r^{'})=
-qr-q^{'}r^{'}+\sqrt{-1}\;(qr^{'}+q^{'}r)
+(q+\sqrt{-1}\;q^{\prime})(r+\sqrt{-1}\;r^{\prime})=
+qr-q^{\prime}r^{\prime}+\sqrt{-1}\;(qr^{\prime}+q^{\prime}r)
 $$
 That this product may vanish we must have 
-$$qr=q^{'}r^{'}$$
+$$qr=q^{\prime}r^{\prime}$$
 and
-$$qr^{'}=-q^{'}r$$
-Eliminating $r^{'}$ we have
-$$qq^{'-1}qr=-q^{'}r$$
+$$qr^{\prime}=-q^{\prime}r$$
+Eliminating $r^{\prime}$ we have
+$$qq^{'-1}qr=-q^{\prime}r$$
 which gives 
 $$(q^{'-1}q)^2=-1$$
 i.e.
-$$q=q^{'}\alpha$$
+$$q=q^{\prime}\alpha$$
 where $\alpha$ is some unit-vector. 
 
 And the two equations now agree in giving 
-$$-r=\alpha r^{'}$$
+$$-r=\alpha r^{\prime}$$
 so that we have the biquaternion factors in the form 
-$$q^{'}(\alpha +\sqrt{-1})\;\;\;\textrm{ and }\;\;\;-(\alpha-\sqrt{-1})r^{'}$$
+$$q^{\prime}(\alpha +\sqrt{-1})\;\;\;\textrm{ and }
+\;\;\;-(\alpha-\sqrt{-1})r^{\prime}$$
 and their product is 
-$$-q^{'}(\alpha +\sqrt{-1})(\alpha -\sqrt{-1})r^{'}$$
+$$-q^{\prime}(\alpha +\sqrt{-1})(\alpha -\sqrt{-1})r^{\prime}$$
 which, of course, vanishes. 
 
 [A somewhat simpler investigation of the same proposition 
 may be obtained by writing the biquaternions as 
 $$
-q^{'}(q^{'-1}q+\sqrt{-1})\;\;\;\textrm{ and }\;\;\;
-(rr^{'-1}+\sqrt{-1})r^{'}
+q^{\prime}(q^{'-1}q+\sqrt{-1})\;\;\;\textrm{ and }\;\;\;
+(rr^{'-1}+\sqrt{-1})r^{\prime}
 $$
 or
 $$ 
-q^{'}(q^{''}+\sqrt{-1})\;\;\;\textrm{ and }\;\;\;
-(r^{''}+\sqrt{-1})r^{'}
+q^{\prime}(q^{\prime\prime}+\sqrt{-1})\;\;\;\textrm{ and }\;\;\;
+(r^{\prime\prime}+\sqrt{-1})r^{\prime}
 $$
 and showing that 
-$$q^{''}=-r^{''}=\alpha \;\;\;\textrm{ where }\;T\alpha=1]$$
+$$q^{\prime\prime}=
+-r^{\prime\prime}=\alpha \;\;\;\textrm{ where }\;T\alpha=1]$$
 
 From this it appears that if the product of two {\sl bivectors}
 $$
 \rho+\sigma\sqrt{-1}\;\;\;\textrm{ and }\;\;\;
-\rho^{'}+\sigma^{'}\sqrt{-1}
+\rho^{\prime}+\sigma^{\prime}\sqrt{-1}
 $$
 is zero, we must have 
-$$\sigma^{-1}\rho=-\rho^{'}\sigma^{'-1}=U\alpha$$
+$$\sigma^{-1}\rho=-\rho^{\prime}\sigma^{'-1}=U\alpha$$
 where $\alpha$ may be any vector whatever. But this result is still more 
 easily obtained by means of a direct process. 
 
@@ -7194,12 +7245,12 @@ $$
 Show also that 
 $$
 \frac{\alpha+\beta}{\alpha-\beta}=
-\frac{V\alpha\beta}{1+S\alpha\beta^{'}}
+\frac{V\alpha\beta}{1+S\alpha\beta^{\prime}}
 $$
 and 
 $$
 \frac{\alpha-\beta}{\alpha+\beta}=
--\frac{V\alpha\beta}{1-S\alpha\beta^{'}}
+-\frac{V\alpha\beta}{1-S\alpha\beta^{\prime}}
 $$
 provided $\alpha$ and $\beta$ be unit-vectors. If these conditions are not 
 fulfilled, what are the true values ? 
@@ -7298,12 +7349,12 @@ perpendicular vectors, can anything be predicated as to $\alpha_1$,
 $\beta_1$, $\gamma_1$?  If $\alpha$, $\beta$, $\gamma$ be rectangular
 unit-vectors, what of $\alpha_1$, $\beta_1$, $\gamma_1$?
 
-{\bf 12}. If $\alpha$, $\beta$, $\gamma$, $\alpha^{'}$, $\beta^{'}$,
-$\gamma^{'}$ be two sets of rectangular unit-vectors, show that 
+{\bf 12}. If $\alpha$, $\beta$, $\gamma$, $\alpha^{\prime}$, $\beta^{\prime}$,
+$\gamma^{\prime}$ be two sets of rectangular unit-vectors, show that 
 $$
-S\alpha\alpha^{'}=
-S\gamma\beta^{'}S\beta\gamma^{'}=
-S\beta\beta^{'}S\gamma\gamma^{'}\;\;\;\textrm{\&c. \&c.}
+S\alpha\alpha^{\prime}=
+S\gamma\beta^{\prime}S\beta\gamma^{\prime}=
+S\beta\beta^{\prime}S\gamma\gamma^{\prime}\;\;\;\textrm{\&c. \&c.}
 $$
 
 {\bf 13}. The lines bisecting pairs of opposite sides of a quadrilateral 
@@ -7441,12 +7492,12 @@ V\beta\gamma S.\alpha\beta\gamma=
 \gamma(S\alpha\beta S\beta\gamma+S\alpha\gamma)
 $$
 
-{\bf 26}. If $i$, $j$, $k$, $i^{'}$, $j^{'}$, $k^{'}$,
+{\bf 26}. If $i$, $j$, $k$, $i^{\prime}$, $j^{\prime}$, $k^{\prime}$,
 be two sets of rectangular unit-vectors, show that 
 $$
 \begin{array}{rcl}
-S.Vii^{'}Vjj^{'}Vkk^{'}&=&(Sij^{'})^2-(Sji^{'})^2\\
-                       &=&(Sjk^{'})^2-(Skj^{'})^2=\textrm{\&c.}
+S.Vii^{\prime}Vjj^{\prime}Vkk^{\prime}&=&(Sij^{\prime})^2-(Sji^{\prime})^2\\
+                       &=&(Sjk^{\prime})^2-(Skj^{\prime})^2=\textrm{\&c.}
 \end{array}
 $$
 and find the values of the vector of the same product. 
@@ -7600,13 +7651,13 @@ i =
 \right]
 $$
 
-\chapter{Clifford Algebra\cite{Fl09}}
+\chapter{Clifford Algebra \cite{Fl09}}
 
-This is quoted from John Fletcher's web page\cite{Fl09} (with permission).
+This is quoted from John Fletcher's web page \cite{Fl09} (with permission).
 
 The theory of Clifford Algebra includes a statement that each Clifford
 Algebra is isomorphic to a matrix representation. Several authors
-discuss this and in particular Ablamowicz\cite{Ab98} gives examples of
+discuss this and in particular Ablamowicz \cite{Ab98} gives examples of
 derivation of the matrix representation. A matrix will itself satisfy
 the characteristic polynomial equation obeyed by its own
 eigenvalues. This relationship can be used to calculate the inverse of
@@ -7621,7 +7672,7 @@ Clifford(2), Clifford(3) and Clifford(2,2).
 Introductory texts on Clifford algebra state that for any chosen
 Clifford Algebra there is a matrix representation which is equivalent.
 Several authors discuss this in more detail and in particular,
-Ablamowicz\cite{Ab98} shows that the matrices can be derived for each algebra
+Ablamowicz \cite{Ab98} shows that the matrices can be derived for each algebra
 from a choice of idempotent, a member of the algebra which when
 squared gives itself.  The idea of this paper is that any matrix obeys
 the characteristic equation of its own eigenvalues, and that therefore
@@ -7636,7 +7687,7 @@ implementation. This knowledge is not believed to be new, but the
 theory is distributed in the literature and the purpose of this paper
 is to make it clear.  The examples have been first developed using a
 system of symbolic algebra described in another paper by this
-author\cite{Fl01}.  
+author \cite{Fl01}.  
 
 \section{Clifford Basis Matrix Theory}
 
@@ -8078,7 +8129,7 @@ simple cases of wide usefulness.
 
 \subsection{Example 3: Clifford (2,2)}
 
-The following basis matrices are given by Ablamowicz\cite{Ab98}
+The following basis matrices are given by Ablamowicz \cite{Ab98}
 
 \[
 \begin{array}{cc}
@@ -8328,7 +8379,7 @@ and
 \[n^{-1}_2 = \frac{n^3_2- 4n^2_2 + 8n_2 - 8}{4}\]
 
 This expression can be evaluated easily using a computer algebra
-system for Clifford algebra such as described in Fletcher\cite{Fl01}. 
+system for Clifford algebra such as described in Fletcher \cite{Fl01}. 
 The result is
 
 \[
@@ -8372,14 +8423,15 @@ It is well known that the most difficult part in constructing AG-code
 is the computation of a basis of the vector space ``L(D)'' where D is a
 divisor of the function field of an irreducible curve. To compute such
 a basis, PAFF used the Brill-Noether algorithm which was generalized
-to any plane curve by D. LeBrigand and J.J. Risler (see [LR88] ). In [Ha96]
+to any plane curve by D. LeBrigand and J.J. Risler \cite{LR88}. In 
+\cite{Ha96}
 you will find more details about the algorithmic aspect of the
 Brill-Noether algorithm. Also, if you prefer, as I do, a strictly
-algebraic approach, see [Ha95]. This is the approach I used in my thesis
-([Ha96]) and of course this is where you will find complete details about
+algebraic approach, see \cite{Ha95}. This is the approach I used in my thesis
+(\cite{Ha96}) and of course this is where you will find complete details about
 the implementation of the algorithm. The algebraic approach use the
 theory of algebraic function field in one variable : you will find in
-[St93] a very good introduction to this theory and AG-codes.
+\cite{St93} a very good introduction to this theory and AG-codes.
 
 It is important to notice that PAFF can be used for most computation
 related to the function field of an irreducible plane curve. For
@@ -8392,7 +8444,7 @@ There is also the package PAFFFF which is especially designed to be
 used over finite fields. This package is essentially the same as PAFF,
 except that the computation are done over ``dynamic extensions'' of the
 ground field. For this, I used a simplify version of the notion of
-dynamic algebraic closure as proposed by D. Duval (see [Du95]).
+dynamic algebraic closure as proposed by D. Duval \cite{Du95}.
 
 Example 1
 
@@ -8442,187 +8494,176 @@ Gaussian Elimination
 Diophantine Equations
 
 \begin{thebibliography}{99}
-\bibitem[Ab98]{Ab98}
-Ablamowicz Rafal, ``Spinor Representations of Clifford
-Algebras: A Symbolic Approach'', Computer Physics Communications
+
+\bibitem[Ablamowicz 98]{Ab98} Ablamowicz, Rafal\\
+``Spinor Representations of Clifford Algebras: A Symbolic Approach''\\
+Computer Physics Communications
 Vol. 115, No. 2-3, December 11, 1998, pages 510-535.
-\bibitem[Alt05]{Alt05}
-Altmann, Simon L. Rotations, Quaternions, and Double Groups
+
+\bibitem[Altmann 05]{Alt05} Altmann, Simon L.\\
+``Rotations, Quaternions, and Double Groups''\\
 Dover Publications, Inc. 2005 ISBN 0-486-44518-6
-\bibitem[Ber95]{Ber95}
-Laurent Bertrand. Computing a hyperelliptic integral using
-arithmetic in the jacobian of the curve. {\sl Applicable Algebra in
-Engineering, Communication and Computing}, 6:275-298, 1995
-\bibitem[Bro90]{Bro90}
-M. Bronstein. ``On the integration of elementary functions''
+
+\bibitem[Bertrand 95]{Ber95} Bertrand, Laurent\\ 
+``Computing a hyperelliptic integral using arithmetic in the jacobian 
+of the curve''\\ 
+{\sl Applicable Algebra in Engineering, Communication and Computing}, 
+6:275-298, 1995
+
+\bibitem[Bronstein 90c]{Bro90c} Bronstein, M.\\
+``On the integration of elementary functions''\\
 {\sl Journal of Symbolic Computation} 9(2):117-173, February 1990
-\bibitem[Bro91]{Bro91}
-M. Bronstein. The Risch differential equation on an
-algebraic curve. In S.Watt, editor, {\sl Proceedings of ISSAC'91},
-pages 241-246, ACM Press, 1991.
-\bibitem[Bro97]{Bro97}
-M. Bronstein. {\sl Symbolic Integration I--Transcendental
-Functions.} Springer, Heidelberg, 1997
-\bibitem[Br98]{Br98}
-Bronstein, Manuel "Symbolic Integration Tutorial"
+
+\bibitem[Bronstein 91a]{Bro91a} Bronstein, M.\\
+``The Risch differential equation on an algebraic curve''\\
+in Watt [Wat91], pp241-246 ISBN 0-89791-437-6 LCCN QA76.95.I59 1991
+
+\bibitem[Bronstein 97]{Bro97} Bronstein, M.\\ 
+``Symbolic Integration I--Transcendental Functions.''\\
+Springer, Heidelberg, 1997 ISBN 3-540-21493-3
+\verb|evil-wire.org/arrrXiv/Mathematics/Bronstein,_Symbolic_Integration_I,1997.pdf|
+
+\bibitem[Bronstein 98b]{Bro98b} Bronstein, Manuel\\
+``Symbolic Integration Tutorial''\\
 INRIA Sophia Antipolis ISSAC 1998 Rostock
-\bibitem[Bro98]{Bro98}
-M. Bronstein. The lazy hermite reduction. Rapport de
-Recherche RR-3562, INRIA, 1998
-\bibitem[CS03]{CS03}
-Conway, John H. and Smith, Derek, A., ``On Quaternions and Octonions'' 
-A.K Peters, Natick, MA. (2003) ISBN 1-56881-134-9
-\bibitem[Dal03]{Dal03}
-Daly, Timothy, ``The Axiom Wiki Website''
-\verb|http://axiom.axiom-developer.org|
-\bibitem[Dal09]{Dal09}
-Daly, Timothy, "The Axiom Literate Documentation"
-\verb|http://axiom.axiom-developer.org/axiom-website/documentation.html|
-\bibitem[Du95]{Du95}
-Duval, D. ``Evaluation dynamique et cl\^oture alg\'ebrique en Axiom''. 
+
+\bibitem[Bronstein 98]{REF-Bro98} Bronstein, M.\\
+``The lazy hermite reduction''\\
+Rapport de Recherche RR-3562, INRIA, 1998
+
+\bibitem[Duval 95]{Du95} Duval, D.\\
+``Evaluation dynamique et cl\^oture alg\'ebrique en Axiom''.\\
 Journal of Pure and Applied Algebra, no99, 1995, pp. 267--295.
-\bibitem[Fl01]{Fl01}
-Fletcher, John P. ``Symbolic processing of Clifford Numbers in C++'', 
+
+\bibitem[Fletcher 01]{Fl01} Fletcher, John P.\\
+``Symbolic processing of Clifford Numbers in C++''\\
 Paper 25, AGACSE 2001.
-\bibitem[Fl09]{Fl09}
-Fletcher, John P. ``Clifford Numbers and their inverses
-calculated using the matrix representation.'' Chemical Engineering and
+
+\bibitem[Fletcher 09]{Fl09} Fletcher, John P.\\
+``Clifford Numbers and their inverses calculated using the matrix 
+representation.''\\
+Chemical Engineering and
 Applied Chemistry, School of Engineering and Applied Science, Aston
-University, Aston Triangle, Birmingham B4 7 ET, U. K. 
+University, Aston Triangle, Birmingham B4 7 ET, U. K. \\
 \verb|www.ceac.aston.ac.uk/research/staff/jpf/papers/paper24/index.php|
-\bibitem[Ga95]{Ga95}
-Garcia, A. and Stichtenoth, H.
-``A tower of Artin-Schreier extensions of function fields attaining the 
-Drinfeld-Vladut bound'' Invent. Math., vol. 121, 1995, pp. 211--222.
-\bibitem[Ha1896]{Ha1896}
-Hathway, Arthur S., "A Primer Of Quaternions"  (1896)
-\bibitem[Ha95]{Ha95}
-Hach\'e, G. ``Computation in algebraic function fields for effective 
-construction of algebraic-geometric codes'' 
+
+\bibitem[Hathway 1896]{Ha1896} Hathway, Arthur S.\\
+``A Primer Of Quaternions''\\
+(1896)
+
+\bibitem[Hache 95a]{Ha95} Hach\'e, G.\\
+``Computation in algebraic function fields for effective 
+construction of algebraic-geometric codes''\\
 Lecture Notes in Computer Science, vol. 948, 1995, pp. 262--278.
-\bibitem[Ha96]{Ha96}
-Hach\'e, G. ``Construction effective des codes g\'eom\'etriques''
+
+\bibitem[Hache 96]{Ha96} Hach\'e, G.\\
+``Construction effective des codes g\'eom\'etriques''\\
 Th\'ese de doctorat de l'Universit\'e Pierre et Marie Curie (Paris 6), 
 Septembre 1996.
-\bibitem[Her1872]{Her1872}
-E. Hermite. Sur l'int\'{e}gration des fractions
-rationelles. {\sl Nouvelles Annales de Math\'{e}matiques}
+
+\bibitem[Hermite 1872]{Her1872} Hermite, E.\\
+``Sur l'int\'{e}gration des fractions rationelles.''\\
+{\sl Nouvelles Annales de Math\'{e}matiques}
 ($2^{eme}$ s\'{e}rie), 11:145-148, 1872
-\bibitem[HI96]{HI96}
-Huang, M.D. and Ierardi, D.
-``Efficient algorithms for Riemann-Roch problem and for addition in the 
-jacobian of a curve'' 
-Proceedings 32nd Annual Symposium on Foundations of Computer Sciences. 
-IEEE Comput. Soc. Press, pp. 678--687.
-\bibitem[HL95]{HL95}
-Hach\'e, G. and Le Brigand, D.
-``Effective construction of algebraic geometry codes'' 
-IEEE Transaction on Information Theory, vol. 41, n27 6, 
-November 1995, pp. 1615--1628.
-\bibitem[JS92]{JS92}
-Richard D. Jenks and Robert S. Sutor ``AXIOM: The Scientific Computation
-System'' 
-Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
-1992 ISBN 0-387-97855-0 (New York), 3-540-97855-0 (Berlin) 742pp
-LCCN QA76.95.J46 1992
-\bibitem[Knu84]{Knu84}
-Knuth, Donald, {\it The \TeX{}book} \\
-Reading, Massachusetts, Addison-Wesley Publishing Company, Inc., 
-1984. ISBN 0-201-13448-9
-\bibitem[Kn92]{Kn92}
-Knuth, Donald E., ``Literate Programming''
-Center for the Study of Language and Information
-ISBN 0-937073-81-4 Stanford CA (1992) 
-\bibitem[La86]{La86}
-Lamport, Leslie, 
-{\it LaTeX: A Document Preparation System,} \\
-Reading, Massachusetts, Addison-Wesley Publishing Company, Inc., 
-1986. ISBN 0-201-15790-X
-\bibitem[LR88]{LR88}
-Le Brigand, D. and Risler, J.J.
-``Algorithme de Brill-Noether et codes de Goppa''
+
+\bibitem[Le Brigand 88]{LR88} Le Brigand, D.; Risler, J.J.\\
+``Algorithme de Brill-Noether et codes de Goppa''\\
 Bull. Soc. Math. France, vol. 116, 1988, pp. 231--253.
-\bibitem[LR90]{LR90}
-Daniel Lazard and Renaud Rioboo. Integration of rational
-functions: Rational coputation of the logarithmic part {\sl Journal of
-Symbolic Computation}, 9:113-116:1990
-\bibitem[Lio1833a]{Lio1833a}
-Joseph Liouville. Premier m\'{e}moire sur la
-d\'{e}termination des int\'{e}grales dont la valeur est
-alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:124-148, 1833
-\bibitem[Lio1833b]{Lio1833b}
-Joseph Liouville. Second m\'{e}moire sur la
+
+\bibitem[Lazard 90]{LR90} Lazard, Daniel; Rioboo, Renaud\\
+``Integration of rational functions: Rational computation of the 
+logarithmic part''\\
+{\sl Journal of Symbolic Computation}, 9:113-116:1990
+
+\bibitem[Liouville 1833a]{Lio1833a} Liouville, Joseph\\
+``Premier m\'{e}moire sur la
 d\'{e}termination des int\'{e}grales dont la valeur est
-alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:149-193,
-1833
-\bibitem[Mul97]{Mul97}
-Thom Mulders. A note on subresultants and a correction to
-the lazard/rioboo/trager formula in rational function integration {\sl
-Journal of Symbolic Computation}, 24(1):45-50, 1997
-\bibitem[Ost1845]{Ost1845}
-M.W. Ostrogradsky. De l'int\'{e}gration des fractions
-rationelles. {\sl Bulletin de la Classe Physico-Math\'{e}matiques de
+alg\'{e}brique''\\
+{\sl Journal de l'Ecole Polytechnique}, 14:124-148, 1833
+
+\bibitem[Liouville 1833b]{Lio1833b} Liouville, Joseph\\ 
+``Second m\'{e}moire sur la d\'{e}termination des int\'{e}grales 
+dont la valeur est alg\'{e}brique''\\
+{\sl Journal de l'Ecole Polytechnique}, 14:149-193, 1833
+
+\bibitem[Mulders 97]{Mul97} Mulders. Thom\\
+``A note on subresultants and a correction to the lazard/rioboo/trager 
+formula in rational function integration''\\
+{\sl Journal of Symbolic Computation}, 24(1):45-50, 1997
+
+\bibitem[Ostrogradsky 1845]{Ost1845} Ostrogradsky. M.W.\\
+``De l'int\'{e}gration des fractions rationelles.''\\
+{\sl Bulletin de la Classe Physico-Math\'{e}matiques de
 l'Acae\'{e}mie Imp\'{e}riale des Sciences de St. P\'{e}tersbourg,}
 IV:145-167,286-300, 1845
-\bibitem[Pu09]{Pu09}
-Puffinware LLC ``Singular Value Decomposition (SVD) Tutorial'' 
+
+\bibitem[Puffinware 09]{Pu09} Puffinware LLC.\\
+``Singular Value Decomposition (SVD) Tutorial''\\
 \verb|www.puffinwarellc.com/p3a.htm|
-\bibitem[Ra03]{Ra03}
-Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for Literate Programming''
-\verb|www.eecs.harvard.edu/~nr/noweb|
-\bibitem[Ris68]{Ris68}
-Robert Risch. On the integration of elementary functions
-which are built up using algebraic operations. Research Report
+
+\bibitem[Risch 68]{Ris68} Risch, Robert\\
+``On the integration of elementary functions
+which are built up using algebraic operations''\\
+Research Report
 SP-2801/002/00, System Development Corporation, Santa Monica, CA, USA, 1968
-\bibitem[Ris69a]{Ris69a}
-Robert Risch. ``Further results on elementary functions'' 
+
+\bibitem[Risch 69a]{Ris69a} Risch, Robert\\
+``Further results on elementary functions''\\
 Research Report RC-2042, IBM Research, Yorktown Heights, NY, USA, 1969
-\bibitem[Ris69b]{Ris69b}
-Robert Risch, ``The problem of integration in finite terms'' 
+
+\bibitem[Risch 69b]{Ris69b} Risch, Robert\\
+``The problem of integration in finite terms''\\
 {\sl Transactions of the American Mathematical Society} 139:167-189, 1969
-\bibitem[Ris70]{Ris70}
-Robert Risch. ``The solution of problem of integration in finite terms'' 
-{\sl Transactions of the American Mathematical Society} 76:605-608, 1970
-\bibitem[Ris79]{Ris79}
-Robert Risch. ``Algebraic properties of the elementary functions of analysis'' 
+
+\bibitem[Risch 79]{Ris79} Risch, Robert\\
+``Algebraic properties of the elementary functions of analysis''\\
 {\sl American Journal of Mathematics}, 101:743-759, 1979
-\bibitem[Ro72]{Ro72}
-Maxwell Rosenlicht. Integration in finite terms. 
+
+\bibitem[Rosenlicht 72]{Ro72} Rosenlicht, Maxwell\\
+``Integration in finite terms''\\
 {\sl American Mathematical Monthly}, 79:963-972, 1972
-\bibitem[Ro77]{Ro77}
-Michael Rothstein. ``A new algorithm for the integration of
-exponential and logarithmic functions'' In {\sl Proceedings of the 1977
-MACSYMA Users Conference}, pages 263-274. NASA Pub CP-2012, 1977
-\bibitem[St93]{St93}
-Stichtenoth, H. ``Algebraic function fields and codes''
+
+\bibitem[Rothstein 77]{Ro77} Rothstein, Michael\\
+``A new algorithm for the integration of 
+exponential and logarithmic functions''\\
+In {\sl Proceedings of the 1977 MACSYMA Users Conference}, 
+pages 263-274. NASA Pub CP-2012, 1977
+
+\bibitem[Stichtenoth 93]{St93} Stichtenoth, H.\\
+``Algebraic function fields and codes''\\
 Springer-Verlag, 1993, University Text.
-\bibitem[Ta1890]{Ta1980}
-Tait, P.G.,{\it An Elementary Treatise on Quaternions} 
+
+\bibitem[Tait 1890]{Ta1890} Tait, P.G.\\
+``An Elementary Treatise on Quaternions''\\
 C.J. Clay and Sons, Cambridge University Press Warehouse, Ave Maria Lane 1890
-\bibitem[Tr76]{Tr76}
-Trager, Barry ``Algebraic factoring and rational function integration''
+
+\bibitem[Trager 76]{Tr76} Trager, Barry\\
+``Algebraic factoring and rational function integration''\\
 In {Proceedings of SYMSAC'76} pages 219-226, 1976
-\bibitem[Tr84]{Tr84}
-Trager Barry {\sl On the integration of algebraic functions}, 
+
+\bibitem[Trager 84]{Tr84} Trager, Barry\\
+``On the integration of algebraic functions''\\
 PhD thesis, MIT, Computer Science, 1984
-\bibitem[vH94]{vH94}
-M. van Hoeij. ``An algorithm for computing an integral
-basis in an algebraic function field'' {\sl J. Symbolic Computation}
-18(4):353-364, October 1994
-\bibitem [Lambov 06]{Lambov06} Lambov, Branimir\\
-``Interval Arithmetic Using SSE-2\\
+
+\bibitem[van Hoeij 94]{vH94} van Hoeij, M.\\
+``An algorithm for computing an integral basis in an algebraic
+function field''\\
+Journal of Symbolic Computation, 18(4) pp353-363 Oct. 1994
+CODEN JSYCEH ISSN 0747-7171
+
+\bibitem[Lambov 06]{Lambov06} Lambov, Branimir\\
+``Interval Arithmetic Using SSE-2''\\
 in Lecture Notes in Computer Science, Springer ISBN 978-3-540-85520-0
 (2006) pp102-113
-\bibitem[Wa03]{Wa03}
-Watt, Stephen, ``Aldor'', \verb|www.aldor.org|
-\bibitem[We71]{We71}
-Andr\'{e} Weil, {\sl Courbes alg\'{e}briques et
-vari\'{e}t\'{e}s Abeliennes} Hermann, Paris, 1971
-\bibitem[Wo09]{Wo09}
-Wolfram Research, \verb|mathworld.wolfram.com/Quaternion.html|
-\bibitem[Yu76]{Yu76}
-D.Y.Y. Yun. ``On square-free decomposition algorithms''
+
+\bibitem[Weil 71]{We71} Weil, Andr\'{e}\\
+``Courbes alg\'{e}briques et vari\'{e}t\'{e}s Abeliennes''\\
+Hermann, Paris, 1971
+
+\bibitem[Yun 76]{Yu76} Yun, D.Y.Y.\\
+``On square-free decomposition algorithms''\\
 {\sl Proceedings of SYMSAC'76} pages 26-35, 1976
+
 \end{thebibliography}
 \chapter{Index}
 \printindex
diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 7992c6d..fd5d673 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -3176,7 +3176,9 @@ Wiley. (1980)
 ``An Algorithm for Generalized Matrix Eigenproblems''\\
 SIAM J. Numer. Anal. 10 241--256. 1973
 
-\bibitem[Mulders 97]{Mul97} Mulders. Thom\\``A note on subresultants and a correction to the lazard/rioboo/trager formula in rational function integration''\\
+\bibitem[Mulders 97]{Mul97} Mulders. Thom\\
+``A note on subresultants and a correction to the lazard/rioboo/trager 
+formula in rational function integration''\\
 {\sl Journal of Symbolic Computation}, 24(1):45-50, 1997
 
 \bibitem[Munksgaard 80]{Mun80} Munksgaard N.\\
@@ -3545,7 +3547,7 @@ Mathematical Association of America. (1984)
 
 \subsection{T} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\bibitem[Tait 1890]{Ta1980} Tait, P.G.\\
+\bibitem[Tait 1890]{Ta1890} Tait, P.G.\\
 ``An Elementary Treatise on Quaternions''\\
 C.J. Clay and Sons, Cambridge University Press Warehouse, Ave Maria Lane 1890
 
diff --git a/changelog b/changelog
index 5f980ac..a03c7b0 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,7 @@
+20140719 tpd src/axiom-website/patches.html 20140719.01.tpd.patch
+20150719 tpd books/bookvol10.1 clean up mistakes
+20150719 tpd books/bookvolbib fix references
+20150719 tpd bookheader.tex use underline, colored links
 20140718 tpd src/axiom-website/patches.html 20140718.01.tpd.patch
 20140718 tpd books/bookvolbib add Jeff97
 20140715 tpd src/axiom-website/patches.html 20140715.01.tpd.patch
diff --git a/patch b/patch
index 80a0955..247adbc 100644
--- a/patch
+++ b/patch
@@ -1,5 +1,3 @@
-books/bookvolbib add Jeff97
+books/bookvol10.1, bookvolbib, bookheader.tex clean up mistakes
 
-\bibitem[Jeffrey 97]{Jeff97} Jeffrey, D.J.; Rich, A.D.\\
-``Recursive integration of piecewise-continuous functions''\\
-Proc ISSAC'98 pp290-294 
+There were several typos, mistakes, and bibliographic noise fixed.
\ No newline at end of file
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3b64eb1..acbe192 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4552,6 +4552,8 @@ books/bookvol10 absorb src/algebra/Makefile
 books/bookvolbib add Hoeij04
 <a href="patches/20140718.01.tpd.patch">20140718.01.tpd.patch</a>
 books/bookvolbib add Jeff97
+<a href="patches/20140719.01.tpd.patch">20140719.01.tpd.patch</a>
+books/bookvol10.1, bookvolbib, bookheader.tex clean up mistakes
  </body>
 </html>
 
